#ifndef MAPLIST_H
#define MAPLIST_H

#include <Panel.h>

uint32_t rgb(uint16_t r, uint16_t g, uint16_t b){
  return Panel::color( r,  g,  b);  
}

const uint32_t map0_mat[16][16] =
{
  {
    rgb(0, 0, 0),  // x = 0 ; y = 0
    rgb(0, 0, 0),  // x = 1 ; y = 0
    rgb(0, 0, 0),  // x = 2 ; y = 0
    rgb(0, 0, 0),  // x = 3 ; y = 0
    rgb(0, 0, 0),  // x = 4 ; y = 0
    rgb(0, 0, 0),  // x = 5 ; y = 0
    rgb(0, 0, 0),  // x = 6 ; y = 0
    rgb(0, 0, 0),  // x = 7 ; y = 0
    rgb(0, 0, 0),  // x = 8 ; y = 0
    rgb(0, 0, 0),  // x = 9 ; y = 0
    rgb(0, 0, 0),  // x = 10 ; y = 0
    rgb(0, 0, 0),  // x = 11 ; y = 0
    rgb(0, 0, 0),  // x = 12 ; y = 0
    rgb(0, 0, 0),  // x = 13 ; y = 0
    rgb(0, 0, 0),  // x = 14 ; y = 0
    rgb(0, 0, 0)  // x = 15 ; y = 0
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 1
    rgb(0, 0, 0),  // x = 1 ; y = 1
    rgb(0, 0, 0),  // x = 2 ; y = 1
    rgb(0, 0, 0),  // x = 3 ; y = 1
    rgb(0, 0, 0),  // x = 4 ; y = 1
    rgb(0, 0, 0),  // x = 5 ; y = 1
    rgb(0, 0, 0),  // x = 6 ; y = 1
    rgb(0, 0, 0),  // x = 7 ; y = 1
    rgb(0, 0, 0),  // x = 8 ; y = 1
    rgb(0, 0, 0),  // x = 9 ; y = 1
    rgb(0, 0, 0),  // x = 10 ; y = 1
    rgb(0, 0, 0),  // x = 11 ; y = 1
    rgb(0, 0, 0),  // x = 12 ; y = 1
    rgb(0, 0, 0),  // x = 13 ; y = 1
    rgb(0, 0, 0),  // x = 14 ; y = 1
    rgb(0, 0, 0)  // x = 15 ; y = 1
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 2
    rgb(0, 0, 0),  // x = 1 ; y = 2
    rgb(0, 0, 0),  // x = 2 ; y = 2
    rgb(255, 0, 0),  // x = 3 ; y = 2
    rgb(0, 0, 0),  // x = 4 ; y = 2
    rgb(0, 0, 0),  // x = 5 ; y = 2
    rgb(0, 0, 0),  // x = 6 ; y = 2
    rgb(0, 0, 0),  // x = 7 ; y = 2
    rgb(0, 0, 0),  // x = 8 ; y = 2
    rgb(0, 0, 0),  // x = 9 ; y = 2
    rgb(0, 0, 0),  // x = 10 ; y = 2
    rgb(255, 0, 0),  // x = 11 ; y = 2
    rgb(0, 0, 0),  // x = 12 ; y = 2
    rgb(0, 0, 0),  // x = 13 ; y = 2
    rgb(0, 0, 0),  // x = 14 ; y = 2
    rgb(0, 0, 0)  // x = 15 ; y = 2
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 3
    rgb(0, 0, 0),  // x = 1 ; y = 3
    rgb(0, 0, 0),  // x = 2 ; y = 3
    rgb(0, 0, 0),  // x = 3 ; y = 3
    rgb(0, 0, 0),  // x = 4 ; y = 3
    rgb(0, 0, 0),  // x = 5 ; y = 3
    rgb(0, 0, 0),  // x = 6 ; y = 3
    rgb(0, 0, 0),  // x = 7 ; y = 3
    rgb(255, 0, 0),  // x = 8 ; y = 3
    rgb(0, 0, 0),  // x = 9 ; y = 3
    rgb(0, 0, 0),  // x = 10 ; y = 3
    rgb(0, 0, 0),  // x = 11 ; y = 3
    rgb(0, 0, 0),  // x = 12 ; y = 3
    rgb(0, 0, 0),  // x = 13 ; y = 3
    rgb(0, 0, 0),  // x = 14 ; y = 3
    rgb(0, 0, 0)  // x = 15 ; y = 3
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 4
    rgb(0, 0, 0),  // x = 1 ; y = 4
    rgb(0, 0, 0),  // x = 2 ; y = 4
    rgb(0, 0, 0),  // x = 3 ; y = 4
    rgb(0, 0, 0),  // x = 4 ; y = 4
    rgb(0, 0, 0),  // x = 5 ; y = 4
    rgb(0, 0, 0),  // x = 6 ; y = 4
    rgb(0, 0, 0),  // x = 7 ; y = 4
    rgb(0, 0, 0),  // x = 8 ; y = 4
    rgb(0, 0, 0),  // x = 9 ; y = 4
    rgb(0, 0, 0),  // x = 10 ; y = 4
    rgb(0, 0, 0),  // x = 11 ; y = 4
    rgb(0, 0, 0),  // x = 12 ; y = 4
    rgb(0, 0, 0),  // x = 13 ; y = 4
    rgb(0, 0, 0),  // x = 14 ; y = 4
    rgb(0, 0, 0)  // x = 15 ; y = 4
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 5
    rgb(255, 0, 0),  // x = 1 ; y = 5
    rgb(0, 0, 0),  // x = 2 ; y = 5
    rgb(0, 0, 0),  // x = 3 ; y = 5
    rgb(0, 0, 0),  // x = 4 ; y = 5
    rgb(0, 0, 0),  // x = 5 ; y = 5
    rgb(0, 0, 0),  // x = 6 ; y = 5
    rgb(255, 0, 0),  // x = 7 ; y = 5
    rgb(0, 0, 0),  // x = 8 ; y = 5
    rgb(0, 0, 0),  // x = 9 ; y = 5
    rgb(0, 0, 0),  // x = 10 ; y = 5
    rgb(0, 0, 0),  // x = 11 ; y = 5
    rgb(0, 0, 0),  // x = 12 ; y = 5
    rgb(255, 0, 0),  // x = 13 ; y = 5
    rgb(0, 0, 0),  // x = 14 ; y = 5
    rgb(0, 0, 0)  // x = 15 ; y = 5
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 6
    rgb(0, 0, 0),  // x = 1 ; y = 6
    rgb(0, 0, 0),  // x = 2 ; y = 6
    rgb(0, 0, 0),  // x = 3 ; y = 6
    rgb(0, 0, 0),  // x = 4 ; y = 6
    rgb(0, 0, 0),  // x = 5 ; y = 6
    rgb(0, 0, 0),  // x = 6 ; y = 6
    rgb(0, 0, 0),  // x = 7 ; y = 6
    rgb(0, 0, 0),  // x = 8 ; y = 6
    rgb(0, 0, 0),  // x = 9 ; y = 6
    rgb(0, 0, 0),  // x = 10 ; y = 6
    rgb(0, 0, 0),  // x = 11 ; y = 6
    rgb(0, 0, 0),  // x = 12 ; y = 6
    rgb(0, 0, 0),  // x = 13 ; y = 6
    rgb(0, 0, 0),  // x = 14 ; y = 6
    rgb(0, 0, 0)  // x = 15 ; y = 6
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 7
    rgb(0, 0, 0),  // x = 1 ; y = 7
    rgb(0, 0, 0),  // x = 2 ; y = 7
    rgb(255, 0, 0),  // x = 3 ; y = 7
    rgb(0, 0, 0),  // x = 4 ; y = 7
    rgb(0, 0, 0),  // x = 5 ; y = 7
    rgb(0, 0, 0),  // x = 6 ; y = 7
    rgb(0, 0, 0),  // x = 7 ; y = 7
    rgb(0, 0, 0),  // x = 8 ; y = 7
    rgb(0, 0, 0),  // x = 9 ; y = 7
    rgb(0, 0, 0),  // x = 10 ; y = 7
    rgb(0, 0, 0),  // x = 11 ; y = 7
    rgb(0, 0, 0),  // x = 12 ; y = 7
    rgb(0, 0, 0),  // x = 13 ; y = 7
    rgb(0, 0, 0),  // x = 14 ; y = 7
    rgb(255, 0, 0)  // x = 15 ; y = 7
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 8
    rgb(0, 0, 0),  // x = 1 ; y = 8
    rgb(0, 0, 0),  // x = 2 ; y = 8
    rgb(0, 0, 0),  // x = 3 ; y = 8
    rgb(0, 0, 0),  // x = 4 ; y = 8
    rgb(0, 0, 0),  // x = 5 ; y = 8
    rgb(0, 0, 0),  // x = 6 ; y = 8
    rgb(0, 0, 0),  // x = 7 ; y = 8
    rgb(0, 0, 0),  // x = 8 ; y = 8
    rgb(0, 0, 0),  // x = 9 ; y = 8
    rgb(0, 0, 0),  // x = 10 ; y = 8
    rgb(0, 0, 0),  // x = 11 ; y = 8
    rgb(0, 0, 0),  // x = 12 ; y = 8
    rgb(0, 0, 0),  // x = 13 ; y = 8
    rgb(0, 0, 0),  // x = 14 ; y = 8
    rgb(0, 0, 0)  // x = 15 ; y = 8
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 9
    rgb(0, 0, 0),  // x = 1 ; y = 9
    rgb(0, 0, 0),  // x = 2 ; y = 9
    rgb(0, 0, 0),  // x = 3 ; y = 9
    rgb(0, 0, 0),  // x = 4 ; y = 9
    rgb(255, 0, 0),  // x = 5 ; y = 9
    rgb(0, 0, 0),  // x = 6 ; y = 9
    rgb(0, 0, 0),  // x = 7 ; y = 9
    rgb(0, 0, 0),  // x = 8 ; y = 9
    rgb(0, 0, 0),  // x = 9 ; y = 9
    rgb(0, 0, 0),  // x = 10 ; y = 9
    rgb(0, 0, 0),  // x = 11 ; y = 9
    rgb(0, 0, 0),  // x = 12 ; y = 9
    rgb(0, 0, 0),  // x = 13 ; y = 9
    rgb(0, 0, 0),  // x = 14 ; y = 9
    rgb(0, 0, 0)  // x = 15 ; y = 9
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 10
    rgb(255, 0, 0),  // x = 1 ; y = 10
    rgb(0, 0, 0),  // x = 2 ; y = 10
    rgb(0, 0, 0),  // x = 3 ; y = 10
    rgb(255, 0, 0),  // x = 4 ; y = 10
    rgb(0, 0, 0),  // x = 5 ; y = 10
    rgb(0, 0, 0),  // x = 6 ; y = 10
    rgb(0, 0, 0),  // x = 7 ; y = 10
    rgb(0, 0, 0),  // x = 8 ; y = 10
    rgb(0, 0, 0),  // x = 9 ; y = 10
    rgb(255, 0, 0),  // x = 10 ; y = 10
    rgb(0, 0, 0),  // x = 11 ; y = 10
    rgb(0, 0, 0),  // x = 12 ; y = 10
    rgb(0, 0, 0),  // x = 13 ; y = 10
    rgb(0, 0, 0),  // x = 14 ; y = 10
    rgb(0, 0, 0)  // x = 15 ; y = 10
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 11
    rgb(0, 0, 0),  // x = 1 ; y = 11
    rgb(0, 0, 0),  // x = 2 ; y = 11
    rgb(0, 0, 0),  // x = 3 ; y = 11
    rgb(0, 0, 0),  // x = 4 ; y = 11
    rgb(0, 0, 0),  // x = 5 ; y = 11
    rgb(0, 0, 0),  // x = 6 ; y = 11
    rgb(0, 0, 0),  // x = 7 ; y = 11
    rgb(0, 0, 0),  // x = 8 ; y = 11
    rgb(0, 0, 0),  // x = 9 ; y = 11
    rgb(0, 0, 0),  // x = 10 ; y = 11
    rgb(0, 0, 0),  // x = 11 ; y = 11
    rgb(0, 0, 0),  // x = 12 ; y = 11
    rgb(0, 0, 0),  // x = 13 ; y = 11
    rgb(0, 0, 0),  // x = 14 ; y = 11
    rgb(0, 0, 0)  // x = 15 ; y = 11
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 12
    rgb(0, 0, 0),  // x = 1 ; y = 12
    rgb(255, 0, 0),  // x = 2 ; y = 12
    rgb(0, 0, 0),  // x = 3 ; y = 12
    rgb(0, 0, 0),  // x = 4 ; y = 12
    rgb(0, 0, 0),  // x = 5 ; y = 12
    rgb(0, 0, 0),  // x = 6 ; y = 12
    rgb(0, 0, 0),  // x = 7 ; y = 12
    rgb(0, 0, 0),  // x = 8 ; y = 12
    rgb(0, 0, 0),  // x = 9 ; y = 12
    rgb(0, 0, 0),  // x = 10 ; y = 12
    rgb(255, 0, 0),  // x = 11 ; y = 12
    rgb(0, 0, 0),  // x = 12 ; y = 12
    rgb(0, 0, 0),  // x = 13 ; y = 12
    rgb(0, 0, 0),  // x = 14 ; y = 12
    rgb(0, 0, 0)  // x = 15 ; y = 12
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 13
    rgb(0, 0, 0),  // x = 1 ; y = 13
    rgb(0, 0, 0),  // x = 2 ; y = 13
    rgb(0, 0, 0),  // x = 3 ; y = 13
    rgb(255, 0, 0),  // x = 4 ; y = 13
    rgb(0, 0, 0),  // x = 5 ; y = 13
    rgb(255, 0, 0),  // x = 6 ; y = 13
    rgb(0, 0, 0),  // x = 7 ; y = 13
    rgb(0, 0, 0),  // x = 8 ; y = 13
    rgb(0, 0, 0),  // x = 9 ; y = 13
    rgb(0, 0, 0),  // x = 10 ; y = 13
    rgb(0, 0, 0),  // x = 11 ; y = 13
    rgb(0, 0, 0),  // x = 12 ; y = 13
    rgb(0, 0, 0),  // x = 13 ; y = 13
    rgb(0, 0, 0),  // x = 14 ; y = 13
    rgb(0, 0, 0)  // x = 15 ; y = 13
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 14
    rgb(0, 0, 0),  // x = 1 ; y = 14
    rgb(0, 0, 0),  // x = 2 ; y = 14
    rgb(0, 0, 0),  // x = 3 ; y = 14
    rgb(0, 0, 0),  // x = 4 ; y = 14
    rgb(0, 0, 0),  // x = 5 ; y = 14
    rgb(0, 0, 0),  // x = 6 ; y = 14
    rgb(0, 0, 0),  // x = 7 ; y = 14
    rgb(0, 0, 0),  // x = 8 ; y = 14
    rgb(0, 0, 0),  // x = 9 ; y = 14
    rgb(0, 0, 0),  // x = 10 ; y = 14
    rgb(0, 0, 0),  // x = 11 ; y = 14
    rgb(0, 0, 0),  // x = 12 ; y = 14
    rgb(0, 0, 0),  // x = 13 ; y = 14
    rgb(0, 0, 0),  // x = 14 ; y = 14
    rgb(0, 0, 0)  // x = 15 ; y = 14
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 15
    rgb(0, 0, 0),  // x = 1 ; y = 15
    rgb(0, 0, 0),  // x = 2 ; y = 15
    rgb(0, 0, 0),  // x = 3 ; y = 15
    rgb(0, 0, 0),  // x = 4 ; y = 15
    rgb(0, 0, 0),  // x = 5 ; y = 15
    rgb(0, 0, 0),  // x = 6 ; y = 15
    rgb(0, 0, 0),  // x = 7 ; y = 15
    rgb(0, 0, 0),  // x = 8 ; y = 15
    rgb(0, 0, 0),  // x = 9 ; y = 15
    rgb(0, 0, 0),  // x = 10 ; y = 15
    rgb(52, 229, 0),  // x = 11 ; y = 15
    rgb(0, 0, 0),  // x = 12 ; y = 15
    rgb(0, 0, 0),  // x = 13 ; y = 15
    rgb(0, 0, 0),  // x = 14 ; y = 15
    rgb(0, 0, 0)  // x = 15 ; y = 15
  }
};

const Img_t map0 = {  &map0_mat[0][0],      // data matrix
                       16,      // width
                       16
                    };     // height

const uint32_t map1_mat[16][16] =
{
  {
    rgb(0, 0, 0),  // x = 0 ; y = 0
    rgb(0, 0, 0),  // x = 1 ; y = 0
    rgb(0, 0, 0),  // x = 2 ; y = 0
    rgb(0, 0, 0),  // x = 3 ; y = 0
    rgb(0, 0, 0),  // x = 4 ; y = 0
    rgb(0, 0, 0),  // x = 5 ; y = 0
    rgb(0, 0, 0),  // x = 6 ; y = 0
    rgb(0, 0, 0),  // x = 7 ; y = 0
    rgb(0, 0, 0),  // x = 8 ; y = 0
    rgb(0, 0, 0),  // x = 9 ; y = 0
    rgb(0, 0, 0),  // x = 10 ; y = 0
    rgb(0, 0, 0),  // x = 11 ; y = 0
    rgb(0, 0, 0),  // x = 12 ; y = 0
    rgb(0, 0, 0),  // x = 13 ; y = 0
    rgb(0, 0, 0),  // x = 14 ; y = 0
    rgb(0, 0, 0)  // x = 15 ; y = 0
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 1
    rgb(0, 0, 0),  // x = 1 ; y = 1
    rgb(0, 0, 0),  // x = 2 ; y = 1
    rgb(0, 0, 0),  // x = 3 ; y = 1
    rgb(0, 0, 0),  // x = 4 ; y = 1
    rgb(0, 0, 0),  // x = 5 ; y = 1
    rgb(0, 0, 0),  // x = 6 ; y = 1
    rgb(0, 0, 0),  // x = 7 ; y = 1
    rgb(0, 0, 0),  // x = 8 ; y = 1
    rgb(0, 0, 0),  // x = 9 ; y = 1
    rgb(0, 0, 0),  // x = 10 ; y = 1
    rgb(0, 0, 0),  // x = 11 ; y = 1
    rgb(0, 0, 0),  // x = 12 ; y = 1
    rgb(0, 0, 0),  // x = 13 ; y = 1
    rgb(0, 0, 0),  // x = 14 ; y = 1
    rgb(0, 0, 0)  // x = 15 ; y = 1
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 2
    rgb(255, 0, 0),  // x = 1 ; y = 2
    rgb(0, 0, 0),  // x = 2 ; y = 2
    rgb(0, 0, 0),  // x = 3 ; y = 2
    rgb(255, 0, 0),  // x = 4 ; y = 2
    rgb(0, 0, 0),  // x = 5 ; y = 2
    rgb(0, 0, 0),  // x = 6 ; y = 2
    rgb(255, 0, 0),  // x = 7 ; y = 2
    rgb(0, 0, 0),  // x = 8 ; y = 2
    rgb(0, 0, 0),  // x = 9 ; y = 2
    rgb(0, 0, 0),  // x = 10 ; y = 2
    rgb(0, 0, 0),  // x = 11 ; y = 2
    rgb(0, 0, 0),  // x = 12 ; y = 2
    rgb(0, 0, 0),  // x = 13 ; y = 2
    rgb(0, 0, 0),  // x = 14 ; y = 2
    rgb(0, 0, 0)  // x = 15 ; y = 2
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 3
    rgb(0, 0, 0),  // x = 1 ; y = 3
    rgb(255, 0, 0),  // x = 2 ; y = 3
    rgb(255, 0, 0),  // x = 3 ; y = 3
    rgb(0, 0, 0),  // x = 4 ; y = 3
    rgb(255, 0, 0),  // x = 5 ; y = 3
    rgb(0, 0, 0),  // x = 6 ; y = 3
    rgb(0, 0, 0),  // x = 7 ; y = 3
    rgb(0, 0, 0),  // x = 8 ; y = 3
    rgb(0, 0, 0),  // x = 9 ; y = 3
    rgb(0, 0, 0),  // x = 10 ; y = 3
    rgb(255, 0, 0),  // x = 11 ; y = 3
    rgb(0, 0, 0),  // x = 12 ; y = 3
    rgb(0, 0, 0),  // x = 13 ; y = 3
    rgb(0, 0, 0),  // x = 14 ; y = 3
    rgb(0, 0, 0)  // x = 15 ; y = 3
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 4
    rgb(0, 0, 0),  // x = 1 ; y = 4
    rgb(0, 0, 0),  // x = 2 ; y = 4
    rgb(0, 0, 0),  // x = 3 ; y = 4
    rgb(0, 0, 0),  // x = 4 ; y = 4
    rgb(0, 0, 0),  // x = 5 ; y = 4
    rgb(0, 0, 0),  // x = 6 ; y = 4
    rgb(0, 0, 0),  // x = 7 ; y = 4
    rgb(0, 0, 0),  // x = 8 ; y = 4
    rgb(255, 0, 0),  // x = 9 ; y = 4
    rgb(255, 0, 0),  // x = 10 ; y = 4
    rgb(0, 0, 0),  // x = 11 ; y = 4
    rgb(0, 0, 0),  // x = 12 ; y = 4
    rgb(0, 0, 0),  // x = 13 ; y = 4
    rgb(255, 0, 0),  // x = 14 ; y = 4
    rgb(0, 0, 0)  // x = 15 ; y = 4
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 5
    rgb(0, 0, 0),  // x = 1 ; y = 5
    rgb(255, 0, 0),  // x = 2 ; y = 5
    rgb(0, 0, 0),  // x = 3 ; y = 5
    rgb(0, 0, 0),  // x = 4 ; y = 5
    rgb(0, 0, 0),  // x = 5 ; y = 5
    rgb(0, 0, 0),  // x = 6 ; y = 5
    rgb(0, 0, 0),  // x = 7 ; y = 5
    rgb(0, 0, 0),  // x = 8 ; y = 5
    rgb(0, 0, 0),  // x = 9 ; y = 5
    rgb(0, 0, 0),  // x = 10 ; y = 5
    rgb(0, 0, 0),  // x = 11 ; y = 5
    rgb(255, 0, 0),  // x = 12 ; y = 5
    rgb(255, 0, 0),  // x = 13 ; y = 5
    rgb(0, 0, 0),  // x = 14 ; y = 5
    rgb(0, 0, 0)  // x = 15 ; y = 5
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 6
    rgb(0, 0, 0),  // x = 1 ; y = 6
    rgb(0, 0, 0),  // x = 2 ; y = 6
    rgb(0, 0, 0),  // x = 3 ; y = 6
    rgb(0, 0, 0),  // x = 4 ; y = 6
    rgb(0, 0, 0),  // x = 5 ; y = 6
    rgb(255, 0, 0),  // x = 6 ; y = 6
    rgb(0, 0, 0),  // x = 7 ; y = 6
    rgb(0, 0, 0),  // x = 8 ; y = 6
    rgb(0, 0, 0),  // x = 9 ; y = 6
    rgb(0, 0, 0),  // x = 10 ; y = 6
    rgb(0, 0, 0),  // x = 11 ; y = 6
    rgb(0, 0, 0),  // x = 12 ; y = 6
    rgb(0, 0, 0),  // x = 13 ; y = 6
    rgb(0, 0, 0),  // x = 14 ; y = 6
    rgb(0, 0, 0)  // x = 15 ; y = 6
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 7
    rgb(0, 0, 0),  // x = 1 ; y = 7
    rgb(0, 0, 0),  // x = 2 ; y = 7
    rgb(0, 0, 0),  // x = 3 ; y = 7
    rgb(0, 0, 0),  // x = 4 ; y = 7
    rgb(0, 0, 0),  // x = 5 ; y = 7
    rgb(0, 0, 0),  // x = 6 ; y = 7
    rgb(0, 0, 0),  // x = 7 ; y = 7
    rgb(0, 0, 0),  // x = 8 ; y = 7
    rgb(0, 0, 0),  // x = 9 ; y = 7
    rgb(0, 0, 0),  // x = 10 ; y = 7
    rgb(0, 0, 0),  // x = 11 ; y = 7
    rgb(0, 0, 0),  // x = 12 ; y = 7
    rgb(0, 0, 0),  // x = 13 ; y = 7
    rgb(0, 0, 0),  // x = 14 ; y = 7
    rgb(0, 0, 0)  // x = 15 ; y = 7
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 8
    rgb(0, 0, 0),  // x = 1 ; y = 8
    rgb(0, 0, 0),  // x = 2 ; y = 8
    rgb(0, 0, 0),  // x = 3 ; y = 8
    rgb(0, 0, 0),  // x = 4 ; y = 8
    rgb(0, 0, 0),  // x = 5 ; y = 8
    rgb(0, 0, 0),  // x = 6 ; y = 8
    rgb(255, 0, 0),  // x = 7 ; y = 8
    rgb(0, 0, 0),  // x = 8 ; y = 8
    rgb(0, 0, 0),  // x = 9 ; y = 8
    rgb(0, 0, 0),  // x = 10 ; y = 8
    rgb(0, 0, 0),  // x = 11 ; y = 8
    rgb(0, 0, 0),  // x = 12 ; y = 8
    rgb(0, 0, 0),  // x = 13 ; y = 8
    rgb(0, 0, 0),  // x = 14 ; y = 8
    rgb(0, 0, 0)  // x = 15 ; y = 8
  },
  {
    rgb(255, 0, 0),  // x = 0 ; y = 9
    rgb(255, 0, 0),  // x = 1 ; y = 9
    rgb(255, 0, 0),  // x = 2 ; y = 9
    rgb(0, 0, 0),  // x = 3 ; y = 9
    rgb(0, 0, 0),  // x = 4 ; y = 9
    rgb(0, 0, 0),  // x = 5 ; y = 9
    rgb(0, 0, 0),  // x = 6 ; y = 9
    rgb(0, 0, 0),  // x = 7 ; y = 9
    rgb(0, 0, 0),  // x = 8 ; y = 9
    rgb(255, 0, 0),  // x = 9 ; y = 9
    rgb(0, 0, 0),  // x = 10 ; y = 9
    rgb(0, 0, 0),  // x = 11 ; y = 9
    rgb(255, 0, 0),  // x = 12 ; y = 9
    rgb(0, 0, 0),  // x = 13 ; y = 9
    rgb(255, 0, 0),  // x = 14 ; y = 9
    rgb(0, 0, 0)  // x = 15 ; y = 9
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 10
    rgb(0, 0, 0),  // x = 1 ; y = 10
    rgb(0, 0, 0),  // x = 2 ; y = 10
    rgb(0, 0, 0),  // x = 3 ; y = 10
    rgb(0, 0, 0),  // x = 4 ; y = 10
    rgb(0, 0, 0),  // x = 5 ; y = 10
    rgb(0, 0, 0),  // x = 6 ; y = 10
    rgb(0, 0, 0),  // x = 7 ; y = 10
    rgb(0, 0, 0),  // x = 8 ; y = 10
    rgb(0, 0, 0),  // x = 9 ; y = 10
    rgb(0, 0, 0),  // x = 10 ; y = 10
    rgb(0, 0, 0),  // x = 11 ; y = 10
    rgb(0, 0, 0),  // x = 12 ; y = 10
    rgb(0, 0, 0),  // x = 13 ; y = 10
    rgb(0, 0, 0),  // x = 14 ; y = 10
    rgb(0, 0, 0)  // x = 15 ; y = 10
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 11
    rgb(0, 0, 0),  // x = 1 ; y = 11
    rgb(0, 0, 0),  // x = 2 ; y = 11
    rgb(255, 0, 0),  // x = 3 ; y = 11
    rgb(0, 0, 0),  // x = 4 ; y = 11
    rgb(0, 0, 0),  // x = 5 ; y = 11
    rgb(0, 0, 0),  // x = 6 ; y = 11
    rgb(0, 0, 0),  // x = 7 ; y = 11
    rgb(255, 0, 0),  // x = 8 ; y = 11
    rgb(255, 0, 0),  // x = 9 ; y = 11
    rgb(0, 0, 0),  // x = 10 ; y = 11
    rgb(0, 0, 0),  // x = 11 ; y = 11
    rgb(255, 0, 0),  // x = 12 ; y = 11
    rgb(0, 0, 0),  // x = 13 ; y = 11
    rgb(0, 0, 0),  // x = 14 ; y = 11
    rgb(255, 0, 0)  // x = 15 ; y = 11
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 12
    rgb(0, 0, 0),  // x = 1 ; y = 12
    rgb(0, 0, 0),  // x = 2 ; y = 12
    rgb(0, 0, 0),  // x = 3 ; y = 12
    rgb(255, 0, 0),  // x = 4 ; y = 12
    rgb(0, 0, 0),  // x = 5 ; y = 12
    rgb(0, 0, 0),  // x = 6 ; y = 12
    rgb(255, 0, 0),  // x = 7 ; y = 12
    rgb(0, 0, 0),  // x = 8 ; y = 12
    rgb(0, 0, 0),  // x = 9 ; y = 12
    rgb(255, 0, 0),  // x = 10 ; y = 12
    rgb(0, 0, 0),  // x = 11 ; y = 12
    rgb(0, 0, 0),  // x = 12 ; y = 12
    rgb(0, 0, 0),  // x = 13 ; y = 12
    rgb(0, 0, 0),  // x = 14 ; y = 12
    rgb(0, 0, 0)  // x = 15 ; y = 12
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 13
    rgb(0, 0, 0),  // x = 1 ; y = 13
    rgb(0, 0, 0),  // x = 2 ; y = 13
    rgb(0, 0, 0),  // x = 3 ; y = 13
    rgb(0, 0, 0),  // x = 4 ; y = 13
    rgb(0, 0, 0),  // x = 5 ; y = 13
    rgb(0, 0, 0),  // x = 6 ; y = 13
    rgb(0, 0, 0),  // x = 7 ; y = 13
    rgb(0, 0, 0),  // x = 8 ; y = 13
    rgb(0, 0, 0),  // x = 9 ; y = 13
    rgb(0, 0, 0),  // x = 10 ; y = 13
    rgb(0, 0, 0),  // x = 11 ; y = 13
    rgb(0, 0, 0),  // x = 12 ; y = 13
    rgb(0, 0, 0),  // x = 13 ; y = 13
    rgb(0, 0, 0),  // x = 14 ; y = 13
    rgb(0, 0, 0)  // x = 15 ; y = 13
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 14
    rgb(0, 0, 0),  // x = 1 ; y = 14
    rgb(0, 0, 0),  // x = 2 ; y = 14
    rgb(0, 0, 0),  // x = 3 ; y = 14
    rgb(0, 0, 0),  // x = 4 ; y = 14
    rgb(0, 0, 0),  // x = 5 ; y = 14
    rgb(0, 0, 0),  // x = 6 ; y = 14
    rgb(0, 0, 0),  // x = 7 ; y = 14
    rgb(0, 0, 0),  // x = 8 ; y = 14
    rgb(0, 0, 0),  // x = 9 ; y = 14
    rgb(0, 0, 0),  // x = 10 ; y = 14
    rgb(0, 0, 0),  // x = 11 ; y = 14
    rgb(52, 229, 0),  // x = 12 ; y = 14
    rgb(0, 0, 0),  // x = 13 ; y = 14
    rgb(255, 0, 0),  // x = 14 ; y = 14
    rgb(0, 0, 0)  // x = 15 ; y = 14
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 15
    rgb(0, 0, 0),  // x = 1 ; y = 15
    rgb(0, 0, 0),  // x = 2 ; y = 15
    rgb(0, 0, 0),  // x = 3 ; y = 15
    rgb(0, 0, 0),  // x = 4 ; y = 15
    rgb(0, 0, 0),  // x = 5 ; y = 15
    rgb(0, 0, 0),  // x = 6 ; y = 15
    rgb(0, 0, 0),  // x = 7 ; y = 15
    rgb(0, 0, 0),  // x = 8 ; y = 15
    rgb(0, 0, 0),  // x = 9 ; y = 15
    rgb(0, 0, 0),  // x = 10 ; y = 15
    rgb(0, 0, 0),  // x = 11 ; y = 15
    rgb(0, 0, 0),  // x = 12 ; y = 15
    rgb(0, 0, 0),  // x = 13 ; y = 15
    rgb(0, 0, 0),  // x = 14 ; y = 15
    rgb(0, 0, 0)  // x = 15 ; y = 15
  }
};



const Img_t map1 = {  &map1_mat[0][0],      // data matrix
                       16,      // width
                       16
                    };     // height

const uint32_t map2_mat[16][16] =
{
  {
    rgb(0, 0, 0),  // x = 0 ; y = 0
    rgb(0, 0, 0),  // x = 1 ; y = 0
    rgb(0, 0, 0),  // x = 2 ; y = 0
    rgb(0, 0, 0),  // x = 3 ; y = 0
    rgb(0, 0, 0),  // x = 4 ; y = 0
    rgb(0, 0, 0),  // x = 5 ; y = 0
    rgb(0, 0, 0),  // x = 6 ; y = 0
    rgb(0, 0, 0),  // x = 7 ; y = 0
    rgb(0, 0, 0),  // x = 8 ; y = 0
    rgb(0, 0, 0),  // x = 9 ; y = 0
    rgb(0, 0, 0),  // x = 10 ; y = 0
    rgb(0, 0, 0),  // x = 11 ; y = 0
    rgb(0, 0, 0),  // x = 12 ; y = 0
    rgb(0, 0, 0),  // x = 13 ; y = 0
    rgb(0, 0, 0),  // x = 14 ; y = 0
    rgb(0, 0, 0)  // x = 15 ; y = 0
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 1
    rgb(0, 0, 0),  // x = 1 ; y = 1
    rgb(0, 0, 0),  // x = 2 ; y = 1
    rgb(0, 0, 0),  // x = 3 ; y = 1
    rgb(0, 0, 0),  // x = 4 ; y = 1
    rgb(0, 0, 0),  // x = 5 ; y = 1
    rgb(0, 0, 0),  // x = 6 ; y = 1
    rgb(0, 0, 0),  // x = 7 ; y = 1
    rgb(0, 0, 0),  // x = 8 ; y = 1
    rgb(0, 0, 0),  // x = 9 ; y = 1
    rgb(0, 0, 0),  // x = 10 ; y = 1
    rgb(0, 0, 0),  // x = 11 ; y = 1
    rgb(0, 0, 0),  // x = 12 ; y = 1
    rgb(0, 0, 0),  // x = 13 ; y = 1
    rgb(0, 0, 0),  // x = 14 ; y = 1
    rgb(0, 0, 0)  // x = 15 ; y = 1
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 2
    rgb(255, 0, 0),  // x = 1 ; y = 2
    rgb(0, 0, 0),  // x = 2 ; y = 2
    rgb(0, 0, 0),  // x = 3 ; y = 2
    rgb(0, 0, 0),  // x = 4 ; y = 2
    rgb(0, 0, 0),  // x = 5 ; y = 2
    rgb(255, 0, 0),  // x = 6 ; y = 2
    rgb(0, 0, 0),  // x = 7 ; y = 2
    rgb(0, 0, 0),  // x = 8 ; y = 2
    rgb(0, 0, 0),  // x = 9 ; y = 2
    rgb(0, 0, 0),  // x = 10 ; y = 2
    rgb(255, 0, 0),  // x = 11 ; y = 2
    rgb(0, 0, 0),  // x = 12 ; y = 2
    rgb(255, 0, 0),  // x = 13 ; y = 2
    rgb(255, 0, 0),  // x = 14 ; y = 2
    rgb(0, 0, 0)  // x = 15 ; y = 2
  },
  {
    rgb(255, 0, 0),  // x = 0 ; y = 3
    rgb(0, 0, 0),  // x = 1 ; y = 3
    rgb(0, 0, 0),  // x = 2 ; y = 3
    rgb(255, 0, 0),  // x = 3 ; y = 3
    rgb(255, 0, 0),  // x = 4 ; y = 3
    rgb(0, 0, 0),  // x = 5 ; y = 3
    rgb(0, 0, 0),  // x = 6 ; y = 3
    rgb(0, 0, 0),  // x = 7 ; y = 3
    rgb(255, 0, 0),  // x = 8 ; y = 3
    rgb(0, 0, 0),  // x = 9 ; y = 3
    rgb(255, 0, 0),  // x = 10 ; y = 3
    rgb(255, 0, 0),  // x = 11 ; y = 3
    rgb(0, 0, 0),  // x = 12 ; y = 3
    rgb(255, 0, 0),  // x = 13 ; y = 3
    rgb(0, 0, 0),  // x = 14 ; y = 3
    rgb(255, 0, 0)  // x = 15 ; y = 3
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 4
    rgb(0, 0, 0),  // x = 1 ; y = 4
    rgb(0, 0, 0),  // x = 2 ; y = 4
    rgb(0, 0, 0),  // x = 3 ; y = 4
    rgb(0, 0, 0),  // x = 4 ; y = 4
    rgb(0, 0, 0),  // x = 5 ; y = 4
    rgb(255, 0, 0),  // x = 6 ; y = 4
    rgb(0, 0, 0),  // x = 7 ; y = 4
    rgb(0, 0, 0),  // x = 8 ; y = 4
    rgb(0, 0, 0),  // x = 9 ; y = 4
    rgb(0, 0, 0),  // x = 10 ; y = 4
    rgb(0, 0, 0),  // x = 11 ; y = 4
    rgb(0, 0, 0),  // x = 12 ; y = 4
    rgb(0, 0, 0),  // x = 13 ; y = 4
    rgb(0, 0, 0),  // x = 14 ; y = 4
    rgb(0, 0, 0)  // x = 15 ; y = 4
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 5
    rgb(0, 0, 0),  // x = 1 ; y = 5
    rgb(255, 0, 0),  // x = 2 ; y = 5
    rgb(0, 0, 0),  // x = 3 ; y = 5
    rgb(255, 0, 0),  // x = 4 ; y = 5
    rgb(0, 0, 0),  // x = 5 ; y = 5
    rgb(0, 0, 0),  // x = 6 ; y = 5
    rgb(0, 0, 0),  // x = 7 ; y = 5
    rgb(0, 0, 0),  // x = 8 ; y = 5
    rgb(255, 0, 0),  // x = 9 ; y = 5
    rgb(0, 0, 0),  // x = 10 ; y = 5
    rgb(0, 0, 0),  // x = 11 ; y = 5
    rgb(0, 0, 0),  // x = 12 ; y = 5
    rgb(0, 0, 0),  // x = 13 ; y = 5
    rgb(0, 0, 0),  // x = 14 ; y = 5
    rgb(0, 0, 0)  // x = 15 ; y = 5
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 6
    rgb(0, 0, 0),  // x = 1 ; y = 6
    rgb(0, 0, 0),  // x = 2 ; y = 6
    rgb(0, 0, 0),  // x = 3 ; y = 6
    rgb(0, 0, 0),  // x = 4 ; y = 6
    rgb(0, 0, 0),  // x = 5 ; y = 6
    rgb(0, 0, 0),  // x = 6 ; y = 6
    rgb(0, 0, 0),  // x = 7 ; y = 6
    rgb(0, 0, 0),  // x = 8 ; y = 6
    rgb(0, 0, 0),  // x = 9 ; y = 6
    rgb(0, 0, 0),  // x = 10 ; y = 6
    rgb(0, 0, 0),  // x = 11 ; y = 6
    rgb(0, 0, 0),  // x = 12 ; y = 6
    rgb(0, 0, 0),  // x = 13 ; y = 6
    rgb(0, 0, 0),  // x = 14 ; y = 6
    rgb(0, 0, 0)  // x = 15 ; y = 6
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 7
    rgb(255, 0, 0),  // x = 1 ; y = 7
    rgb(0, 0, 0),  // x = 2 ; y = 7
    rgb(0, 0, 0),  // x = 3 ; y = 7
    rgb(0, 0, 0),  // x = 4 ; y = 7
    rgb(255, 0, 0),  // x = 5 ; y = 7
    rgb(0, 0, 0),  // x = 6 ; y = 7
    rgb(0, 0, 0),  // x = 7 ; y = 7
    rgb(255, 0, 0),  // x = 8 ; y = 7
    rgb(0, 0, 0),  // x = 9 ; y = 7
    rgb(0, 0, 0),  // x = 10 ; y = 7
    rgb(0, 0, 0),  // x = 11 ; y = 7
    rgb(255, 0, 0),  // x = 12 ; y = 7
    rgb(0, 0, 0),  // x = 13 ; y = 7
    rgb(0, 0, 0),  // x = 14 ; y = 7
    rgb(0, 0, 0)  // x = 15 ; y = 7
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 8
    rgb(0, 0, 0),  // x = 1 ; y = 8
    rgb(0, 0, 0),  // x = 2 ; y = 8
    rgb(0, 0, 0),  // x = 3 ; y = 8
    rgb(0, 0, 0),  // x = 4 ; y = 8
    rgb(0, 0, 0),  // x = 5 ; y = 8
    rgb(0, 0, 0),  // x = 6 ; y = 8
    rgb(0, 0, 0),  // x = 7 ; y = 8
    rgb(0, 0, 0),  // x = 8 ; y = 8
    rgb(0, 0, 0),  // x = 9 ; y = 8
    rgb(0, 0, 0),  // x = 10 ; y = 8
    rgb(0, 0, 0),  // x = 11 ; y = 8
    rgb(0, 0, 0),  // x = 12 ; y = 8
    rgb(255, 0, 0),  // x = 13 ; y = 8
    rgb(0, 0, 0),  // x = 14 ; y = 8
    rgb(0, 0, 0)  // x = 15 ; y = 8
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 9
    rgb(0, 0, 0),  // x = 1 ; y = 9
    rgb(255, 0, 0),  // x = 2 ; y = 9
    rgb(0, 0, 0),  // x = 3 ; y = 9
    rgb(0, 0, 0),  // x = 4 ; y = 9
    rgb(255, 0, 0),  // x = 5 ; y = 9
    rgb(0, 0, 0),  // x = 6 ; y = 9
    rgb(0, 0, 0),  // x = 7 ; y = 9
    rgb(0, 0, 0),  // x = 8 ; y = 9
    rgb(0, 0, 0),  // x = 9 ; y = 9
    rgb(0, 0, 0),  // x = 10 ; y = 9
    rgb(0, 0, 0),  // x = 11 ; y = 9
    rgb(0, 0, 0),  // x = 12 ; y = 9
    rgb(0, 0, 0),  // x = 13 ; y = 9
    rgb(0, 0, 0),  // x = 14 ; y = 9
    rgb(0, 0, 0)  // x = 15 ; y = 9
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 10
    rgb(0, 0, 0),  // x = 1 ; y = 10
    rgb(0, 0, 0),  // x = 2 ; y = 10
    rgb(0, 0, 0),  // x = 3 ; y = 10
    rgb(0, 0, 0),  // x = 4 ; y = 10
    rgb(0, 0, 0),  // x = 5 ; y = 10
    rgb(0, 0, 0),  // x = 6 ; y = 10
    rgb(0, 0, 0),  // x = 7 ; y = 10
    rgb(255, 0, 0),  // x = 8 ; y = 10
    rgb(255, 0, 0),  // x = 9 ; y = 10
    rgb(0, 0, 0),  // x = 10 ; y = 10
    rgb(0, 0, 0),  // x = 11 ; y = 10
    rgb(0, 0, 0),  // x = 12 ; y = 10
    rgb(0, 0, 0),  // x = 13 ; y = 10
    rgb(0, 0, 0),  // x = 14 ; y = 10
    rgb(0, 0, 0)  // x = 15 ; y = 10
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 11
    rgb(0, 0, 0),  // x = 1 ; y = 11
    rgb(255, 0, 0),  // x = 2 ; y = 11
    rgb(0, 0, 0),  // x = 3 ; y = 11
    rgb(0, 0, 0),  // x = 4 ; y = 11
    rgb(0, 0, 0),  // x = 5 ; y = 11
    rgb(0, 0, 0),  // x = 6 ; y = 11
    rgb(0, 0, 0),  // x = 7 ; y = 11
    rgb(0, 0, 0),  // x = 8 ; y = 11
    rgb(0, 0, 0),  // x = 9 ; y = 11
    rgb(0, 0, 0),  // x = 10 ; y = 11
    rgb(0, 0, 0),  // x = 11 ; y = 11
    rgb(255, 0, 0),  // x = 12 ; y = 11
    rgb(0, 0, 0),  // x = 13 ; y = 11
    rgb(0, 0, 0),  // x = 14 ; y = 11
    rgb(0, 0, 0)  // x = 15 ; y = 11
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 12
    rgb(0, 0, 0),  // x = 1 ; y = 12
    rgb(0, 0, 0),  // x = 2 ; y = 12
    rgb(0, 0, 0),  // x = 3 ; y = 12
    rgb(255, 0, 0),  // x = 4 ; y = 12
    rgb(0, 0, 0),  // x = 5 ; y = 12
    rgb(0, 0, 0),  // x = 6 ; y = 12
    rgb(0, 0, 0),  // x = 7 ; y = 12
    rgb(255, 0, 0),  // x = 8 ; y = 12
    rgb(0, 0, 0),  // x = 9 ; y = 12
    rgb(255, 0, 0),  // x = 10 ; y = 12
    rgb(255, 0, 0),  // x = 11 ; y = 12
    rgb(0, 0, 0),  // x = 12 ; y = 12
    rgb(0, 0, 0),  // x = 13 ; y = 12
    rgb(255, 0, 0),  // x = 14 ; y = 12
    rgb(0, 0, 0)  // x = 15 ; y = 12
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 13
    rgb(255, 0, 0),  // x = 1 ; y = 13
    rgb(0, 0, 0),  // x = 2 ; y = 13
    rgb(0, 0, 0),  // x = 3 ; y = 13
    rgb(0, 0, 0),  // x = 4 ; y = 13
    rgb(0, 0, 0),  // x = 5 ; y = 13
    rgb(0, 0, 0),  // x = 6 ; y = 13
    rgb(255, 0, 0),  // x = 7 ; y = 13
    rgb(0, 0, 0),  // x = 8 ; y = 13
    rgb(0, 0, 0),  // x = 9 ; y = 13
    rgb(0, 0, 0),  // x = 10 ; y = 13
    rgb(0, 0, 0),  // x = 11 ; y = 13
    rgb(0, 0, 0),  // x = 12 ; y = 13
    rgb(0, 0, 0),  // x = 13 ; y = 13
    rgb(0, 0, 0),  // x = 14 ; y = 13
    rgb(255, 0, 0)  // x = 15 ; y = 13
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 14
    rgb(0, 0, 0),  // x = 1 ; y = 14
    rgb(0, 0, 0),  // x = 2 ; y = 14
    rgb(0, 0, 0),  // x = 3 ; y = 14
    rgb(0, 0, 0),  // x = 4 ; y = 14
    rgb(52, 229, 0),  // x = 5 ; y = 14
    rgb(0, 0, 0),  // x = 6 ; y = 14
    rgb(0, 0, 0),  // x = 7 ; y = 14
    rgb(255, 0, 0),  // x = 8 ; y = 14
    rgb(0, 0, 0),  // x = 9 ; y = 14
    rgb(0, 0, 0),  // x = 10 ; y = 14
    rgb(0, 0, 0),  // x = 11 ; y = 14
    rgb(0, 0, 0),  // x = 12 ; y = 14
    rgb(0, 0, 0),  // x = 13 ; y = 14
    rgb(0, 0, 0),  // x = 14 ; y = 14
    rgb(0, 0, 0)  // x = 15 ; y = 14
  },
  {
    rgb(0, 0, 0),  // x = 0 ; y = 15
    rgb(0, 0, 0),  // x = 1 ; y = 15
    rgb(0, 0, 0),  // x = 2 ; y = 15
    rgb(0, 0, 0),  // x = 3 ; y = 15
    rgb(0, 0, 0),  // x = 4 ; y = 15
    rgb(0, 0, 0),  // x = 5 ; y = 15
    rgb(0, 0, 0),  // x = 6 ; y = 15
    rgb(0, 0, 0),  // x = 7 ; y = 15
    rgb(0, 0, 0),  // x = 8 ; y = 15
    rgb(0, 0, 0),  // x = 9 ; y = 15
    rgb(0, 0, 0),  // x = 10 ; y = 15
    rgb(0, 0, 0),  // x = 11 ; y = 15
    rgb(0, 0, 0),  // x = 12 ; y = 15
    rgb(0, 0, 0),  // x = 13 ; y = 15
    rgb(0, 0, 0),  // x = 14 ; y = 15
    rgb(0, 0, 0)  // x = 15 ; y = 15
  }
};



const Img_t map2 = {  &map2_mat[0][0],      // data matrix
                       16,      // width
                       16
                    };     // height

const uint32_t win_mat[16][16] = 
{
          {
            rgb(0, 0, 0),  // x = 0 ; y = 0
            rgb(0, 0, 0),  // x = 1 ; y = 0
            rgb(0, 0, 0),  // x = 2 ; y = 0
            rgb(0, 0, 0),  // x = 3 ; y = 0
            rgb(0, 0, 0),  // x = 4 ; y = 0
            rgb(0, 0, 0),  // x = 5 ; y = 0
            rgb(0, 0, 0),  // x = 6 ; y = 0
            rgb(0, 0, 0),  // x = 7 ; y = 0
            rgb(0, 0, 0),  // x = 8 ; y = 0
            rgb(0, 0, 0),  // x = 9 ; y = 0
            rgb(0, 0, 0),  // x = 10 ; y = 0
            rgb(0, 0, 0),  // x = 11 ; y = 0
            rgb(0, 0, 0),  // x = 12 ; y = 0
            rgb(0, 0, 0),  // x = 13 ; y = 0
            rgb(0, 0, 0),  // x = 14 ; y = 0
            rgb(0, 0, 0)  // x = 15 ; y = 0
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 1
            rgb(0, 0, 0),  // x = 1 ; y = 1
            rgb(0, 0, 0),  // x = 2 ; y = 1
            rgb(0, 0, 0),  // x = 3 ; y = 1
            rgb(0, 0, 0),  // x = 4 ; y = 1
            rgb(0, 0, 0),  // x = 5 ; y = 1
            rgb(0, 0, 0),  // x = 6 ; y = 1
            rgb(0, 0, 0),  // x = 7 ; y = 1
            rgb(0, 0, 0),  // x = 8 ; y = 1
            rgb(0, 0, 0),  // x = 9 ; y = 1
            rgb(0, 0, 0),  // x = 10 ; y = 1
            rgb(0, 0, 0),  // x = 11 ; y = 1
            rgb(0, 0, 0),  // x = 12 ; y = 1
            rgb(0, 0, 0),  // x = 13 ; y = 1
            rgb(0, 0, 0),  // x = 14 ; y = 1
            rgb(0, 0, 0)  // x = 15 ; y = 1
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 2
            rgb(0, 0, 0),  // x = 1 ; y = 2
            rgb(0, 0, 0),  // x = 2 ; y = 2
            rgb(0, 0, 0),  // x = 3 ; y = 2
            rgb(0, 0, 0),  // x = 4 ; y = 2
            rgb(0, 0, 0),  // x = 5 ; y = 2
            rgb(0, 0, 0),  // x = 6 ; y = 2
            rgb(0, 0, 0),  // x = 7 ; y = 2
            rgb(0, 0, 0),  // x = 8 ; y = 2
            rgb(0, 0, 0),  // x = 9 ; y = 2
            rgb(0, 0, 0),  // x = 10 ; y = 2
            rgb(0, 0, 0),  // x = 11 ; y = 2
            rgb(0, 0, 0),  // x = 12 ; y = 2
            rgb(0, 0, 0),  // x = 13 ; y = 2
            rgb(0, 0, 0),  // x = 14 ; y = 2
            rgb(0, 0, 0)  // x = 15 ; y = 2
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 3
            rgb(0, 0, 0),  // x = 1 ; y = 3
            rgb(0, 0, 0),  // x = 2 ; y = 3
            rgb(3, 255, 206),  // x = 3 ; y = 3
            rgb(0, 0, 0),  // x = 4 ; y = 3
            rgb(0, 0, 0),  // x = 5 ; y = 3
            rgb(0, 0, 0),  // x = 6 ; y = 3
            rgb(0, 0, 0),  // x = 7 ; y = 3
            rgb(3, 255, 206),  // x = 8 ; y = 3
            rgb(0, 0, 0),  // x = 9 ; y = 3
            rgb(0, 0, 0),  // x = 10 ; y = 3
            rgb(0, 0, 0),  // x = 11 ; y = 3
            rgb(0, 0, 0),  // x = 12 ; y = 3
            rgb(3, 255, 206),  // x = 13 ; y = 3
            rgb(0, 0, 0),  // x = 14 ; y = 3
            rgb(0, 0, 0)  // x = 15 ; y = 3
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 4
            rgb(0, 0, 0),  // x = 1 ; y = 4
            rgb(0, 0, 0),  // x = 2 ; y = 4
            rgb(3, 255, 206),  // x = 3 ; y = 4
            rgb(0, 0, 0),  // x = 4 ; y = 4
            rgb(0, 0, 0),  // x = 5 ; y = 4
            rgb(0, 0, 0),  // x = 6 ; y = 4
            rgb(0, 0, 0),  // x = 7 ; y = 4
            rgb(3, 255, 206),  // x = 8 ; y = 4
            rgb(0, 0, 0),  // x = 9 ; y = 4
            rgb(0, 0, 0),  // x = 10 ; y = 4
            rgb(0, 0, 0),  // x = 11 ; y = 4
            rgb(0, 0, 0),  // x = 12 ; y = 4
            rgb(3, 255, 206),  // x = 13 ; y = 4
            rgb(0, 0, 0),  // x = 14 ; y = 4
            rgb(0, 0, 0)  // x = 15 ; y = 4
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 5
            rgb(0, 0, 0),  // x = 1 ; y = 5
            rgb(0, 0, 0),  // x = 2 ; y = 5
            rgb(3, 255, 206),  // x = 3 ; y = 5
            rgb(0, 0, 0),  // x = 4 ; y = 5
            rgb(0, 0, 0),  // x = 5 ; y = 5
            rgb(0, 0, 0),  // x = 6 ; y = 5
            rgb(0, 0, 0),  // x = 7 ; y = 5
            rgb(3, 255, 206),  // x = 8 ; y = 5
            rgb(0, 0, 0),  // x = 9 ; y = 5
            rgb(0, 0, 0),  // x = 10 ; y = 5
            rgb(0, 0, 0),  // x = 11 ; y = 5
            rgb(0, 0, 0),  // x = 12 ; y = 5
            rgb(3, 255, 206),  // x = 13 ; y = 5
            rgb(0, 0, 0),  // x = 14 ; y = 5
            rgb(0, 0, 0)  // x = 15 ; y = 5
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 6
            rgb(0, 0, 0),  // x = 1 ; y = 6
            rgb(0, 0, 0),  // x = 2 ; y = 6
            rgb(3, 255, 206),  // x = 3 ; y = 6
            rgb(0, 0, 0),  // x = 4 ; y = 6
            rgb(0, 0, 0),  // x = 5 ; y = 6
            rgb(0, 0, 0),  // x = 6 ; y = 6
            rgb(0, 0, 0),  // x = 7 ; y = 6
            rgb(3, 255, 206),  // x = 8 ; y = 6
            rgb(0, 0, 0),  // x = 9 ; y = 6
            rgb(0, 0, 0),  // x = 10 ; y = 6
            rgb(0, 0, 0),  // x = 11 ; y = 6
            rgb(0, 0, 0),  // x = 12 ; y = 6
            rgb(3, 255, 206),  // x = 13 ; y = 6
            rgb(0, 0, 0),  // x = 14 ; y = 6
            rgb(0, 0, 0)  // x = 15 ; y = 6
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 7
            rgb(0, 0, 0),  // x = 1 ; y = 7
            rgb(0, 0, 0),  // x = 2 ; y = 7
            rgb(3, 255, 206),  // x = 3 ; y = 7
            rgb(0, 0, 0),  // x = 4 ; y = 7
            rgb(0, 0, 0),  // x = 5 ; y = 7
            rgb(0, 0, 0),  // x = 6 ; y = 7
            rgb(0, 0, 0),  // x = 7 ; y = 7
            rgb(3, 255, 206),  // x = 8 ; y = 7
            rgb(0, 0, 0),  // x = 9 ; y = 7
            rgb(0, 0, 0),  // x = 10 ; y = 7
            rgb(0, 0, 0),  // x = 11 ; y = 7
            rgb(0, 0, 0),  // x = 12 ; y = 7
            rgb(3, 255, 206),  // x = 13 ; y = 7
            rgb(0, 0, 0),  // x = 14 ; y = 7
            rgb(0, 0, 0)  // x = 15 ; y = 7
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 8
            rgb(0, 0, 0),  // x = 1 ; y = 8
            rgb(0, 0, 0),  // x = 2 ; y = 8
            rgb(3, 255, 206),  // x = 3 ; y = 8
            rgb(0, 0, 0),  // x = 4 ; y = 8
            rgb(0, 0, 0),  // x = 5 ; y = 8
            rgb(0, 0, 0),  // x = 6 ; y = 8
            rgb(0, 0, 0),  // x = 7 ; y = 8
            rgb(3, 255, 206),  // x = 8 ; y = 8
            rgb(0, 0, 0),  // x = 9 ; y = 8
            rgb(0, 0, 0),  // x = 10 ; y = 8
            rgb(0, 0, 0),  // x = 11 ; y = 8
            rgb(0, 0, 0),  // x = 12 ; y = 8
            rgb(3, 255, 206),  // x = 13 ; y = 8
            rgb(0, 0, 0),  // x = 14 ; y = 8
            rgb(0, 0, 0)  // x = 15 ; y = 8
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 9
            rgb(0, 0, 0),  // x = 1 ; y = 9
            rgb(0, 0, 0),  // x = 2 ; y = 9
            rgb(3, 255, 206),  // x = 3 ; y = 9
            rgb(0, 0, 0),  // x = 4 ; y = 9
            rgb(0, 0, 0),  // x = 5 ; y = 9
            rgb(0, 0, 0),  // x = 6 ; y = 9
            rgb(0, 0, 0),  // x = 7 ; y = 9
            rgb(3, 255, 206),  // x = 8 ; y = 9
            rgb(0, 0, 0),  // x = 9 ; y = 9
            rgb(0, 0, 0),  // x = 10 ; y = 9
            rgb(0, 0, 0),  // x = 11 ; y = 9
            rgb(0, 0, 0),  // x = 12 ; y = 9
            rgb(3, 255, 206),  // x = 13 ; y = 9
            rgb(0, 0, 0),  // x = 14 ; y = 9
            rgb(0, 0, 0)  // x = 15 ; y = 9
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 10
            rgb(0, 0, 0),  // x = 1 ; y = 10
            rgb(0, 0, 0),  // x = 2 ; y = 10
            rgb(0, 0, 0),  // x = 3 ; y = 10
            rgb(0, 0, 0),  // x = 4 ; y = 10
            rgb(0, 0, 0),  // x = 5 ; y = 10
            rgb(0, 0, 0),  // x = 6 ; y = 10
            rgb(0, 0, 0),  // x = 7 ; y = 10
            rgb(0, 0, 0),  // x = 8 ; y = 10
            rgb(0, 0, 0),  // x = 9 ; y = 10
            rgb(0, 0, 0),  // x = 10 ; y = 10
            rgb(0, 0, 0),  // x = 11 ; y = 10
            rgb(0, 0, 0),  // x = 12 ; y = 10
            rgb(0, 0, 0),  // x = 13 ; y = 10
            rgb(0, 0, 0),  // x = 14 ; y = 10
            rgb(0, 0, 0)  // x = 15 ; y = 10
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 11
            rgb(0, 0, 0),  // x = 1 ; y = 11
            rgb(0, 0, 0),  // x = 2 ; y = 11
            rgb(3, 255, 206),  // x = 3 ; y = 11
            rgb(0, 0, 0),  // x = 4 ; y = 11
            rgb(0, 0, 0),  // x = 5 ; y = 11
            rgb(0, 0, 0),  // x = 6 ; y = 11
            rgb(0, 0, 0),  // x = 7 ; y = 11
            rgb(3, 255, 206),  // x = 8 ; y = 11
            rgb(0, 0, 0),  // x = 9 ; y = 11
            rgb(0, 0, 0),  // x = 10 ; y = 11
            rgb(0, 0, 0),  // x = 11 ; y = 11
            rgb(0, 0, 0),  // x = 12 ; y = 11
            rgb(3, 255, 206),  // x = 13 ; y = 11
            rgb(0, 0, 0),  // x = 14 ; y = 11
            rgb(0, 0, 0)  // x = 15 ; y = 11
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 12
            rgb(0, 0, 0),  // x = 1 ; y = 12
            rgb(0, 0, 0),  // x = 2 ; y = 12
            rgb(3, 255, 206),  // x = 3 ; y = 12
            rgb(0, 0, 0),  // x = 4 ; y = 12
            rgb(0, 0, 0),  // x = 5 ; y = 12
            rgb(0, 0, 0),  // x = 6 ; y = 12
            rgb(0, 0, 0),  // x = 7 ; y = 12
            rgb(3, 255, 206),  // x = 8 ; y = 12
            rgb(0, 0, 0),  // x = 9 ; y = 12
            rgb(0, 0, 0),  // x = 10 ; y = 12
            rgb(0, 0, 0),  // x = 11 ; y = 12
            rgb(0, 0, 0),  // x = 12 ; y = 12
            rgb(3, 255, 206),  // x = 13 ; y = 12
            rgb(0, 0, 0),  // x = 14 ; y = 12
            rgb(0, 0, 0)  // x = 15 ; y = 12
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 13
            rgb(0, 0, 0),  // x = 1 ; y = 13
            rgb(0, 0, 0),  // x = 2 ; y = 13
            rgb(0, 0, 0),  // x = 3 ; y = 13
            rgb(0, 0, 0),  // x = 4 ; y = 13
            rgb(0, 0, 0),  // x = 5 ; y = 13
            rgb(0, 0, 0),  // x = 6 ; y = 13
            rgb(0, 0, 0),  // x = 7 ; y = 13
            rgb(0, 0, 0),  // x = 8 ; y = 13
            rgb(0, 0, 0),  // x = 9 ; y = 13
            rgb(0, 0, 0),  // x = 10 ; y = 13
            rgb(0, 0, 0),  // x = 11 ; y = 13
            rgb(0, 0, 0),  // x = 12 ; y = 13
            rgb(0, 0, 0),  // x = 13 ; y = 13
            rgb(0, 0, 0),  // x = 14 ; y = 13
            rgb(0, 0, 0)  // x = 15 ; y = 13
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 14
            rgb(0, 0, 0),  // x = 1 ; y = 14
            rgb(0, 0, 0),  // x = 2 ; y = 14
            rgb(0, 0, 0),  // x = 3 ; y = 14
            rgb(0, 0, 0),  // x = 4 ; y = 14
            rgb(0, 0, 0),  // x = 5 ; y = 14
            rgb(0, 0, 0),  // x = 6 ; y = 14
            rgb(0, 0, 0),  // x = 7 ; y = 14
            rgb(0, 0, 0),  // x = 8 ; y = 14
            rgb(0, 0, 0),  // x = 9 ; y = 14
            rgb(0, 0, 0),  // x = 10 ; y = 14
            rgb(0, 0, 0),  // x = 11 ; y = 14
            rgb(0, 0, 0),  // x = 12 ; y = 14
            rgb(0, 0, 0),  // x = 13 ; y = 14
            rgb(0, 0, 0),  // x = 14 ; y = 14
            rgb(0, 0, 0)  // x = 15 ; y = 14
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 15
            rgb(0, 0, 0),  // x = 1 ; y = 15
            rgb(0, 0, 0),  // x = 2 ; y = 15
            rgb(0, 0, 0),  // x = 3 ; y = 15
            rgb(0, 0, 0),  // x = 4 ; y = 15
            rgb(0, 0, 0),  // x = 5 ; y = 15
            rgb(0, 0, 0),  // x = 6 ; y = 15
            rgb(0, 0, 0),  // x = 7 ; y = 15
            rgb(0, 0, 0),  // x = 8 ; y = 15
            rgb(0, 0, 0),  // x = 9 ; y = 15
            rgb(0, 0, 0),  // x = 10 ; y = 15
            rgb(0, 0, 0),  // x = 11 ; y = 15
            rgb(0, 0, 0),  // x = 12 ; y = 15
            rgb(0, 0, 0),  // x = 13 ; y = 15
            rgb(0, 0, 0),  // x = 14 ; y = 15
            rgb(0, 0, 0)  // x = 15 ; y = 15
          }
};



const Img_t win = {  &win_mat[0][0],      // data matrix
                 16,      // width
                 16};     // height
     
const uint32_t lvl1_mat[16][16] = 
{
          {
            rgb(0, 0, 0),  // x = 0 ; y = 0
            rgb(0, 0, 0),  // x = 1 ; y = 0
            rgb(0, 0, 0),  // x = 2 ; y = 0
            rgb(0, 0, 0),  // x = 3 ; y = 0
            rgb(0, 0, 0),  // x = 4 ; y = 0
            rgb(0, 0, 0),  // x = 5 ; y = 0
            rgb(0, 0, 0),  // x = 6 ; y = 0
            rgb(0, 0, 0),  // x = 7 ; y = 0
            rgb(0, 0, 0),  // x = 8 ; y = 0
            rgb(0, 0, 0),  // x = 9 ; y = 0
            rgb(0, 0, 0),  // x = 10 ; y = 0
            rgb(0, 0, 0),  // x = 11 ; y = 0
            rgb(0, 0, 0),  // x = 12 ; y = 0
            rgb(0, 0, 0),  // x = 13 ; y = 0
            rgb(0, 0, 0),  // x = 14 ; y = 0
            rgb(0, 0, 0)  // x = 15 ; y = 0
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 1
            rgb(0, 0, 0),  // x = 1 ; y = 1
            rgb(0, 0, 0),  // x = 2 ; y = 1
            rgb(0, 0, 0),  // x = 3 ; y = 1
            rgb(0, 0, 0),  // x = 4 ; y = 1
            rgb(0, 0, 0),  // x = 5 ; y = 1
            rgb(0, 0, 0),  // x = 6 ; y = 1
            rgb(0, 0, 0),  // x = 7 ; y = 1
            rgb(0, 0, 0),  // x = 8 ; y = 1
            rgb(0, 0, 0),  // x = 9 ; y = 1
            rgb(0, 0, 0),  // x = 10 ; y = 1
            rgb(0, 0, 0),  // x = 11 ; y = 1
            rgb(0, 0, 0),  // x = 12 ; y = 1
            rgb(0, 0, 0),  // x = 13 ; y = 1
            rgb(0, 0, 0),  // x = 14 ; y = 1
            rgb(0, 0, 0)  // x = 15 ; y = 1
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 2
            rgb(0, 0, 0),  // x = 1 ; y = 2
            rgb(0, 0, 0),  // x = 2 ; y = 2
            rgb(0, 0, 0),  // x = 3 ; y = 2
            rgb(0, 0, 0),  // x = 4 ; y = 2
            rgb(0, 0, 0),  // x = 5 ; y = 2
            rgb(0, 0, 0),  // x = 6 ; y = 2
            rgb(0, 0, 0),  // x = 7 ; y = 2
            rgb(0, 0, 0),  // x = 8 ; y = 2
            rgb(0, 0, 0),  // x = 9 ; y = 2
            rgb(0, 0, 0),  // x = 10 ; y = 2
            rgb(0, 0, 0),  // x = 11 ; y = 2
            rgb(0, 0, 0),  // x = 12 ; y = 2
            rgb(0, 0, 0),  // x = 13 ; y = 2
            rgb(0, 0, 0),  // x = 14 ; y = 2
            rgb(0, 0, 0)  // x = 15 ; y = 2
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 3
            rgb(0, 0, 0),  // x = 1 ; y = 3
            rgb(0, 0, 0),  // x = 2 ; y = 3
            rgb(0, 0, 0),  // x = 3 ; y = 3
            rgb(0, 0, 0),  // x = 4 ; y = 3
            rgb(0, 0, 0),  // x = 5 ; y = 3
            rgb(0, 0, 0),  // x = 6 ; y = 3
            rgb(51, 2, 252),  // x = 7 ; y = 3
            rgb(0, 0, 0),  // x = 8 ; y = 3
            rgb(0, 0, 0),  // x = 9 ; y = 3
            rgb(0, 0, 0),  // x = 10 ; y = 3
            rgb(0, 0, 0),  // x = 11 ; y = 3
            rgb(0, 0, 0),  // x = 12 ; y = 3
            rgb(0, 0, 0),  // x = 13 ; y = 3
            rgb(0, 0, 0),  // x = 14 ; y = 3
            rgb(0, 0, 0)  // x = 15 ; y = 3
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 4
            rgb(0, 0, 0),  // x = 1 ; y = 4
            rgb(0, 0, 0),  // x = 2 ; y = 4
            rgb(0, 0, 0),  // x = 3 ; y = 4
            rgb(0, 0, 0),  // x = 4 ; y = 4
            rgb(0, 0, 0),  // x = 5 ; y = 4
            rgb(51, 2, 252),  // x = 6 ; y = 4
            rgb(51, 2, 252),  // x = 7 ; y = 4
            rgb(0, 0, 0),  // x = 8 ; y = 4
            rgb(0, 0, 0),  // x = 9 ; y = 4
            rgb(0, 0, 0),  // x = 10 ; y = 4
            rgb(0, 0, 0),  // x = 11 ; y = 4
            rgb(0, 0, 0),  // x = 12 ; y = 4
            rgb(0, 0, 0),  // x = 13 ; y = 4
            rgb(0, 0, 0),  // x = 14 ; y = 4
            rgb(0, 0, 0)  // x = 15 ; y = 4
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 5
            rgb(0, 0, 0),  // x = 1 ; y = 5
            rgb(0, 0, 0),  // x = 2 ; y = 5
            rgb(0, 0, 0),  // x = 3 ; y = 5
            rgb(0, 0, 0),  // x = 4 ; y = 5
            rgb(51, 2, 252),  // x = 5 ; y = 5
            rgb(0, 0, 0),  // x = 6 ; y = 5
            rgb(51, 2, 252),  // x = 7 ; y = 5
            rgb(0, 0, 0),  // x = 8 ; y = 5
            rgb(0, 0, 0),  // x = 9 ; y = 5
            rgb(0, 0, 0),  // x = 10 ; y = 5
            rgb(0, 0, 0),  // x = 11 ; y = 5
            rgb(0, 0, 0),  // x = 12 ; y = 5
            rgb(0, 0, 0),  // x = 13 ; y = 5
            rgb(0, 0, 0),  // x = 14 ; y = 5
            rgb(0, 0, 0)  // x = 15 ; y = 5
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 6
            rgb(0, 0, 0),  // x = 1 ; y = 6
            rgb(0, 0, 0),  // x = 2 ; y = 6
            rgb(0, 0, 0),  // x = 3 ; y = 6
            rgb(0, 0, 0),  // x = 4 ; y = 6
            rgb(0, 0, 0),  // x = 5 ; y = 6
            rgb(0, 0, 0),  // x = 6 ; y = 6
            rgb(51, 2, 252),  // x = 7 ; y = 6
            rgb(0, 0, 0),  // x = 8 ; y = 6
            rgb(0, 0, 0),  // x = 9 ; y = 6
            rgb(0, 0, 0),  // x = 10 ; y = 6
            rgb(0, 0, 0),  // x = 11 ; y = 6
            rgb(0, 0, 0),  // x = 12 ; y = 6
            rgb(0, 0, 0),  // x = 13 ; y = 6
            rgb(0, 0, 0),  // x = 14 ; y = 6
            rgb(0, 0, 0)  // x = 15 ; y = 6
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 7
            rgb(0, 0, 0),  // x = 1 ; y = 7
            rgb(0, 0, 0),  // x = 2 ; y = 7
            rgb(0, 0, 0),  // x = 3 ; y = 7
            rgb(0, 0, 0),  // x = 4 ; y = 7
            rgb(0, 0, 0),  // x = 5 ; y = 7
            rgb(0, 0, 0),  // x = 6 ; y = 7
            rgb(51, 2, 252),  // x = 7 ; y = 7
            rgb(0, 0, 0),  // x = 8 ; y = 7
            rgb(0, 0, 0),  // x = 9 ; y = 7
            rgb(0, 0, 0),  // x = 10 ; y = 7
            rgb(0, 0, 0),  // x = 11 ; y = 7
            rgb(0, 0, 0),  // x = 12 ; y = 7
            rgb(0, 0, 0),  // x = 13 ; y = 7
            rgb(0, 0, 0),  // x = 14 ; y = 7
            rgb(0, 0, 0)  // x = 15 ; y = 7
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 8
            rgb(0, 0, 0),  // x = 1 ; y = 8
            rgb(0, 0, 0),  // x = 2 ; y = 8
            rgb(0, 0, 0),  // x = 3 ; y = 8
            rgb(0, 0, 0),  // x = 4 ; y = 8
            rgb(0, 0, 0),  // x = 5 ; y = 8
            rgb(0, 0, 0),  // x = 6 ; y = 8
            rgb(51, 2, 252),  // x = 7 ; y = 8
            rgb(0, 0, 0),  // x = 8 ; y = 8
            rgb(0, 0, 0),  // x = 9 ; y = 8
            rgb(0, 0, 0),  // x = 10 ; y = 8
            rgb(0, 0, 0),  // x = 11 ; y = 8
            rgb(0, 0, 0),  // x = 12 ; y = 8
            rgb(0, 0, 0),  // x = 13 ; y = 8
            rgb(0, 0, 0),  // x = 14 ; y = 8
            rgb(0, 0, 0)  // x = 15 ; y = 8
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 9
            rgb(0, 0, 0),  // x = 1 ; y = 9
            rgb(0, 0, 0),  // x = 2 ; y = 9
            rgb(0, 0, 0),  // x = 3 ; y = 9
            rgb(0, 0, 0),  // x = 4 ; y = 9
            rgb(0, 0, 0),  // x = 5 ; y = 9
            rgb(0, 0, 0),  // x = 6 ; y = 9
            rgb(51, 2, 252),  // x = 7 ; y = 9
            rgb(0, 0, 0),  // x = 8 ; y = 9
            rgb(0, 0, 0),  // x = 9 ; y = 9
            rgb(0, 0, 0),  // x = 10 ; y = 9
            rgb(0, 0, 0),  // x = 11 ; y = 9
            rgb(0, 0, 0),  // x = 12 ; y = 9
            rgb(0, 0, 0),  // x = 13 ; y = 9
            rgb(0, 0, 0),  // x = 14 ; y = 9
            rgb(0, 0, 0)  // x = 15 ; y = 9
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 10
            rgb(0, 0, 0),  // x = 1 ; y = 10
            rgb(0, 0, 0),  // x = 2 ; y = 10
            rgb(0, 0, 0),  // x = 3 ; y = 10
            rgb(0, 0, 0),  // x = 4 ; y = 10
            rgb(0, 0, 0),  // x = 5 ; y = 10
            rgb(0, 0, 0),  // x = 6 ; y = 10
            rgb(51, 2, 252),  // x = 7 ; y = 10
            rgb(0, 0, 0),  // x = 8 ; y = 10
            rgb(0, 0, 0),  // x = 9 ; y = 10
            rgb(0, 0, 0),  // x = 10 ; y = 10
            rgb(0, 0, 0),  // x = 11 ; y = 10
            rgb(0, 0, 0),  // x = 12 ; y = 10
            rgb(0, 0, 0),  // x = 13 ; y = 10
            rgb(0, 0, 0),  // x = 14 ; y = 10
            rgb(0, 0, 0)  // x = 15 ; y = 10
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 11
            rgb(0, 0, 0),  // x = 1 ; y = 11
            rgb(0, 0, 0),  // x = 2 ; y = 11
            rgb(0, 0, 0),  // x = 3 ; y = 11
            rgb(0, 0, 0),  // x = 4 ; y = 11
            rgb(51, 2, 252),  // x = 5 ; y = 11
            rgb(51, 2, 252),  // x = 6 ; y = 11
            rgb(51, 2, 252),  // x = 7 ; y = 11
            rgb(51, 2, 252),  // x = 8 ; y = 11
            rgb(51, 2, 252),  // x = 9 ; y = 11
            rgb(0, 0, 0),  // x = 10 ; y = 11
            rgb(0, 0, 0),  // x = 11 ; y = 11
            rgb(0, 0, 0),  // x = 12 ; y = 11
            rgb(0, 0, 0),  // x = 13 ; y = 11
            rgb(0, 0, 0),  // x = 14 ; y = 11
            rgb(0, 0, 0)  // x = 15 ; y = 11
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 12
            rgb(0, 0, 0),  // x = 1 ; y = 12
            rgb(0, 0, 0),  // x = 2 ; y = 12
            rgb(0, 0, 0),  // x = 3 ; y = 12
            rgb(0, 0, 0),  // x = 4 ; y = 12
            rgb(0, 0, 0),  // x = 5 ; y = 12
            rgb(0, 0, 0),  // x = 6 ; y = 12
            rgb(0, 0, 0),  // x = 7 ; y = 12
            rgb(0, 0, 0),  // x = 8 ; y = 12
            rgb(0, 0, 0),  // x = 9 ; y = 12
            rgb(0, 0, 0),  // x = 10 ; y = 12
            rgb(0, 0, 0),  // x = 11 ; y = 12
            rgb(0, 0, 0),  // x = 12 ; y = 12
            rgb(0, 0, 0),  // x = 13 ; y = 12
            rgb(0, 0, 0),  // x = 14 ; y = 12
            rgb(0, 0, 0)  // x = 15 ; y = 12
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 13
            rgb(0, 0, 0),  // x = 1 ; y = 13
            rgb(0, 0, 0),  // x = 2 ; y = 13
            rgb(0, 0, 0),  // x = 3 ; y = 13
            rgb(0, 0, 0),  // x = 4 ; y = 13
            rgb(0, 0, 0),  // x = 5 ; y = 13
            rgb(0, 0, 0),  // x = 6 ; y = 13
            rgb(0, 0, 0),  // x = 7 ; y = 13
            rgb(0, 0, 0),  // x = 8 ; y = 13
            rgb(0, 0, 0),  // x = 9 ; y = 13
            rgb(0, 0, 0),  // x = 10 ; y = 13
            rgb(0, 0, 0),  // x = 11 ; y = 13
            rgb(0, 0, 0),  // x = 12 ; y = 13
            rgb(0, 0, 0),  // x = 13 ; y = 13
            rgb(0, 0, 0),  // x = 14 ; y = 13
            rgb(0, 0, 0)  // x = 15 ; y = 13
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 14
            rgb(0, 0, 0),  // x = 1 ; y = 14
            rgb(0, 0, 0),  // x = 2 ; y = 14
            rgb(0, 0, 0),  // x = 3 ; y = 14
            rgb(0, 0, 0),  // x = 4 ; y = 14
            rgb(0, 0, 0),  // x = 5 ; y = 14
            rgb(0, 0, 0),  // x = 6 ; y = 14
            rgb(0, 0, 0),  // x = 7 ; y = 14
            rgb(0, 0, 0),  // x = 8 ; y = 14
            rgb(0, 0, 0),  // x = 9 ; y = 14
            rgb(0, 0, 0),  // x = 10 ; y = 14
            rgb(0, 0, 0),  // x = 11 ; y = 14
            rgb(0, 0, 0),  // x = 12 ; y = 14
            rgb(0, 0, 0),  // x = 13 ; y = 14
            rgb(0, 0, 0),  // x = 14 ; y = 14
            rgb(0, 0, 0)  // x = 15 ; y = 14
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 15
            rgb(0, 0, 0),  // x = 1 ; y = 15
            rgb(0, 0, 0),  // x = 2 ; y = 15
            rgb(0, 0, 0),  // x = 3 ; y = 15
            rgb(0, 0, 0),  // x = 4 ; y = 15
            rgb(0, 0, 0),  // x = 5 ; y = 15
            rgb(0, 0, 0),  // x = 6 ; y = 15
            rgb(0, 0, 0),  // x = 7 ; y = 15
            rgb(0, 0, 0),  // x = 8 ; y = 15
            rgb(0, 0, 0),  // x = 9 ; y = 15
            rgb(0, 0, 0),  // x = 10 ; y = 15
            rgb(0, 0, 0),  // x = 11 ; y = 15
            rgb(0, 0, 0),  // x = 12 ; y = 15
            rgb(0, 0, 0),  // x = 13 ; y = 15
            rgb(0, 0, 0),  // x = 14 ; y = 15
            rgb(0, 0, 0)  // x = 15 ; y = 15
          }
};



const Img_t lvl1 = {  &lvl1_mat[0][0],      // data matrix
                 16,      // width
                 16};     // height
                 
const uint32_t lvl2_mat[16][16] = 
{
          {
            rgb(0, 0, 0),  // x = 0 ; y = 0
            rgb(0, 0, 0),  // x = 1 ; y = 0
            rgb(0, 0, 0),  // x = 2 ; y = 0
            rgb(0, 0, 0),  // x = 3 ; y = 0
            rgb(0, 0, 0),  // x = 4 ; y = 0
            rgb(0, 0, 0),  // x = 5 ; y = 0
            rgb(0, 0, 0),  // x = 6 ; y = 0
            rgb(0, 0, 0),  // x = 7 ; y = 0
            rgb(0, 0, 0),  // x = 8 ; y = 0
            rgb(0, 0, 0),  // x = 9 ; y = 0
            rgb(0, 0, 0),  // x = 10 ; y = 0
            rgb(0, 0, 0),  // x = 11 ; y = 0
            rgb(0, 0, 0),  // x = 12 ; y = 0
            rgb(0, 0, 0),  // x = 13 ; y = 0
            rgb(0, 0, 0),  // x = 14 ; y = 0
            rgb(0, 0, 0)  // x = 15 ; y = 0
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 1
            rgb(0, 0, 0),  // x = 1 ; y = 1
            rgb(0, 0, 0),  // x = 2 ; y = 1
            rgb(0, 0, 0),  // x = 3 ; y = 1
            rgb(0, 0, 0),  // x = 4 ; y = 1
            rgb(0, 0, 0),  // x = 5 ; y = 1
            rgb(0, 0, 0),  // x = 6 ; y = 1
            rgb(0, 0, 0),  // x = 7 ; y = 1
            rgb(0, 0, 0),  // x = 8 ; y = 1
            rgb(0, 0, 0),  // x = 9 ; y = 1
            rgb(0, 0, 0),  // x = 10 ; y = 1
            rgb(0, 0, 0),  // x = 11 ; y = 1
            rgb(0, 0, 0),  // x = 12 ; y = 1
            rgb(0, 0, 0),  // x = 13 ; y = 1
            rgb(0, 0, 0),  // x = 14 ; y = 1
            rgb(0, 0, 0)  // x = 15 ; y = 1
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 2
            rgb(0, 0, 0),  // x = 1 ; y = 2
            rgb(0, 0, 0),  // x = 2 ; y = 2
            rgb(0, 0, 0),  // x = 3 ; y = 2
            rgb(0, 0, 0),  // x = 4 ; y = 2
            rgb(0, 0, 0),  // x = 5 ; y = 2
            rgb(0, 0, 0),  // x = 6 ; y = 2
            rgb(0, 0, 0),  // x = 7 ; y = 2
            rgb(0, 0, 0),  // x = 8 ; y = 2
            rgb(0, 0, 0),  // x = 9 ; y = 2
            rgb(0, 0, 0),  // x = 10 ; y = 2
            rgb(0, 0, 0),  // x = 11 ; y = 2
            rgb(0, 0, 0),  // x = 12 ; y = 2
            rgb(0, 0, 0),  // x = 13 ; y = 2
            rgb(0, 0, 0),  // x = 14 ; y = 2
            rgb(0, 0, 0)  // x = 15 ; y = 2
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 3
            rgb(0, 0, 0),  // x = 1 ; y = 3
            rgb(0, 0, 0),  // x = 2 ; y = 3
            rgb(0, 0, 0),  // x = 3 ; y = 3
            rgb(0, 0, 0),  // x = 4 ; y = 3
            rgb(0, 0, 0),  // x = 5 ; y = 3
            rgb(0, 0, 0),  // x = 6 ; y = 3
            rgb(0, 0, 0),  // x = 7 ; y = 3
            rgb(0, 0, 0),  // x = 8 ; y = 3
            rgb(0, 0, 0),  // x = 9 ; y = 3
            rgb(0, 0, 0),  // x = 10 ; y = 3
            rgb(0, 0, 0),  // x = 11 ; y = 3
            rgb(0, 0, 0),  // x = 12 ; y = 3
            rgb(0, 0, 0),  // x = 13 ; y = 3
            rgb(0, 0, 0),  // x = 14 ; y = 3
            rgb(0, 0, 0)  // x = 15 ; y = 3
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 4
            rgb(0, 0, 0),  // x = 1 ; y = 4
            rgb(0, 0, 0),  // x = 2 ; y = 4
            rgb(0, 0, 0),  // x = 3 ; y = 4
            rgb(0, 0, 0),  // x = 4 ; y = 4
            rgb(51, 2, 252),  // x = 5 ; y = 4
            rgb(51, 2, 252),  // x = 6 ; y = 4
            rgb(51, 2, 252),  // x = 7 ; y = 4
            rgb(51, 2, 252),  // x = 8 ; y = 4
            rgb(0, 0, 0),  // x = 9 ; y = 4
            rgb(0, 0, 0),  // x = 10 ; y = 4
            rgb(0, 0, 0),  // x = 11 ; y = 4
            rgb(0, 0, 0),  // x = 12 ; y = 4
            rgb(0, 0, 0),  // x = 13 ; y = 4
            rgb(0, 0, 0),  // x = 14 ; y = 4
            rgb(0, 0, 0)  // x = 15 ; y = 4
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 5
            rgb(0, 0, 0),  // x = 1 ; y = 5
            rgb(0, 0, 0),  // x = 2 ; y = 5
            rgb(0, 0, 0),  // x = 3 ; y = 5
            rgb(51, 2, 252),  // x = 4 ; y = 5
            rgb(0, 0, 0),  // x = 5 ; y = 5
            rgb(0, 0, 0),  // x = 6 ; y = 5
            rgb(0, 0, 0),  // x = 7 ; y = 5
            rgb(0, 0, 0),  // x = 8 ; y = 5
            rgb(51, 2, 252),  // x = 9 ; y = 5
            rgb(0, 0, 0),  // x = 10 ; y = 5
            rgb(0, 0, 0),  // x = 11 ; y = 5
            rgb(0, 0, 0),  // x = 12 ; y = 5
            rgb(0, 0, 0),  // x = 13 ; y = 5
            rgb(0, 0, 0),  // x = 14 ; y = 5
            rgb(0, 0, 0)  // x = 15 ; y = 5
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 6
            rgb(0, 0, 0),  // x = 1 ; y = 6
            rgb(0, 0, 0),  // x = 2 ; y = 6
            rgb(0, 0, 0),  // x = 3 ; y = 6
            rgb(0, 0, 0),  // x = 4 ; y = 6
            rgb(0, 0, 0),  // x = 5 ; y = 6
            rgb(0, 0, 0),  // x = 6 ; y = 6
            rgb(0, 0, 0),  // x = 7 ; y = 6
            rgb(0, 0, 0),  // x = 8 ; y = 6
            rgb(0, 0, 0),  // x = 9 ; y = 6
            rgb(51, 2, 252),  // x = 10 ; y = 6
            rgb(0, 0, 0),  // x = 11 ; y = 6
            rgb(0, 0, 0),  // x = 12 ; y = 6
            rgb(0, 0, 0),  // x = 13 ; y = 6
            rgb(0, 0, 0),  // x = 14 ; y = 6
            rgb(0, 0, 0)  // x = 15 ; y = 6
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 7
            rgb(0, 0, 0),  // x = 1 ; y = 7
            rgb(0, 0, 0),  // x = 2 ; y = 7
            rgb(0, 0, 0),  // x = 3 ; y = 7
            rgb(0, 0, 0),  // x = 4 ; y = 7
            rgb(0, 0, 0),  // x = 5 ; y = 7
            rgb(0, 0, 0),  // x = 6 ; y = 7
            rgb(0, 0, 0),  // x = 7 ; y = 7
            rgb(0, 0, 0),  // x = 8 ; y = 7
            rgb(0, 0, 0),  // x = 9 ; y = 7
            rgb(51, 2, 252),  // x = 10 ; y = 7
            rgb(0, 0, 0),  // x = 11 ; y = 7
            rgb(0, 0, 0),  // x = 12 ; y = 7
            rgb(0, 0, 0),  // x = 13 ; y = 7
            rgb(0, 0, 0),  // x = 14 ; y = 7
            rgb(0, 0, 0)  // x = 15 ; y = 7
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 8
            rgb(0, 0, 0),  // x = 1 ; y = 8
            rgb(0, 0, 0),  // x = 2 ; y = 8
            rgb(0, 0, 0),  // x = 3 ; y = 8
            rgb(0, 0, 0),  // x = 4 ; y = 8
            rgb(0, 0, 0),  // x = 5 ; y = 8
            rgb(0, 0, 0),  // x = 6 ; y = 8
            rgb(0, 0, 0),  // x = 7 ; y = 8
            rgb(0, 0, 0),  // x = 8 ; y = 8
            rgb(51, 2, 252),  // x = 9 ; y = 8
            rgb(0, 0, 0),  // x = 10 ; y = 8
            rgb(0, 0, 0),  // x = 11 ; y = 8
            rgb(0, 0, 0),  // x = 12 ; y = 8
            rgb(0, 0, 0),  // x = 13 ; y = 8
            rgb(0, 0, 0),  // x = 14 ; y = 8
            rgb(0, 0, 0)  // x = 15 ; y = 8
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 9
            rgb(0, 0, 0),  // x = 1 ; y = 9
            rgb(0, 0, 0),  // x = 2 ; y = 9
            rgb(0, 0, 0),  // x = 3 ; y = 9
            rgb(0, 0, 0),  // x = 4 ; y = 9
            rgb(0, 0, 0),  // x = 5 ; y = 9
            rgb(0, 0, 0),  // x = 6 ; y = 9
            rgb(0, 0, 0),  // x = 7 ; y = 9
            rgb(51, 2, 252),  // x = 8 ; y = 9
            rgb(0, 0, 0),  // x = 9 ; y = 9
            rgb(0, 0, 0),  // x = 10 ; y = 9
            rgb(0, 0, 0),  // x = 11 ; y = 9
            rgb(0, 0, 0),  // x = 12 ; y = 9
            rgb(0, 0, 0),  // x = 13 ; y = 9
            rgb(0, 0, 0),  // x = 14 ; y = 9
            rgb(0, 0, 0)  // x = 15 ; y = 9
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 10
            rgb(0, 0, 0),  // x = 1 ; y = 10
            rgb(0, 0, 0),  // x = 2 ; y = 10
            rgb(0, 0, 0),  // x = 3 ; y = 10
            rgb(0, 0, 0),  // x = 4 ; y = 10
            rgb(0, 0, 0),  // x = 5 ; y = 10
            rgb(0, 0, 0),  // x = 6 ; y = 10
            rgb(51, 2, 252),  // x = 7 ; y = 10
            rgb(0, 0, 0),  // x = 8 ; y = 10
            rgb(0, 0, 0),  // x = 9 ; y = 10
            rgb(0, 0, 0),  // x = 10 ; y = 10
            rgb(0, 0, 0),  // x = 11 ; y = 10
            rgb(0, 0, 0),  // x = 12 ; y = 10
            rgb(0, 0, 0),  // x = 13 ; y = 10
            rgb(0, 0, 0),  // x = 14 ; y = 10
            rgb(0, 0, 0)  // x = 15 ; y = 10
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 11
            rgb(0, 0, 0),  // x = 1 ; y = 11
            rgb(0, 0, 0),  // x = 2 ; y = 11
            rgb(0, 0, 0),  // x = 3 ; y = 11
            rgb(0, 0, 0),  // x = 4 ; y = 11
            rgb(0, 0, 0),  // x = 5 ; y = 11
            rgb(51, 2, 252),  // x = 6 ; y = 11
            rgb(0, 0, 0),  // x = 7 ; y = 11
            rgb(0, 0, 0),  // x = 8 ; y = 11
            rgb(0, 0, 0),  // x = 9 ; y = 11
            rgb(0, 0, 0),  // x = 10 ; y = 11
            rgb(0, 0, 0),  // x = 11 ; y = 11
            rgb(0, 0, 0),  // x = 12 ; y = 11
            rgb(0, 0, 0),  // x = 13 ; y = 11
            rgb(0, 0, 0),  // x = 14 ; y = 11
            rgb(0, 0, 0)  // x = 15 ; y = 11
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 12
            rgb(0, 0, 0),  // x = 1 ; y = 12
            rgb(0, 0, 0),  // x = 2 ; y = 12
            rgb(0, 0, 0),  // x = 3 ; y = 12
            rgb(0, 0, 0),  // x = 4 ; y = 12
            rgb(51, 2, 252),  // x = 5 ; y = 12
            rgb(0, 0, 0),  // x = 6 ; y = 12
            rgb(0, 0, 0),  // x = 7 ; y = 12
            rgb(0, 0, 0),  // x = 8 ; y = 12
            rgb(0, 0, 0),  // x = 9 ; y = 12
            rgb(0, 0, 0),  // x = 10 ; y = 12
            rgb(0, 0, 0),  // x = 11 ; y = 12
            rgb(0, 0, 0),  // x = 12 ; y = 12
            rgb(0, 0, 0),  // x = 13 ; y = 12
            rgb(0, 0, 0),  // x = 14 ; y = 12
            rgb(0, 0, 0)  // x = 15 ; y = 12
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 13
            rgb(0, 0, 0),  // x = 1 ; y = 13
            rgb(0, 0, 0),  // x = 2 ; y = 13
            rgb(0, 0, 0),  // x = 3 ; y = 13
            rgb(51, 2, 252),  // x = 4 ; y = 13
            rgb(51, 2, 252),  // x = 5 ; y = 13
            rgb(51, 2, 252),  // x = 6 ; y = 13
            rgb(51, 2, 252),  // x = 7 ; y = 13
            rgb(51, 2, 252),  // x = 8 ; y = 13
            rgb(51, 2, 252),  // x = 9 ; y = 13
            rgb(51, 2, 252),  // x = 10 ; y = 13
            rgb(0, 0, 0),  // x = 11 ; y = 13
            rgb(0, 0, 0),  // x = 12 ; y = 13
            rgb(0, 0, 0),  // x = 13 ; y = 13
            rgb(0, 0, 0),  // x = 14 ; y = 13
            rgb(0, 0, 0)  // x = 15 ; y = 13
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 14
            rgb(0, 0, 0),  // x = 1 ; y = 14
            rgb(0, 0, 0),  // x = 2 ; y = 14
            rgb(0, 0, 0),  // x = 3 ; y = 14
            rgb(0, 0, 0),  // x = 4 ; y = 14
            rgb(0, 0, 0),  // x = 5 ; y = 14
            rgb(0, 0, 0),  // x = 6 ; y = 14
            rgb(0, 0, 0),  // x = 7 ; y = 14
            rgb(0, 0, 0),  // x = 8 ; y = 14
            rgb(0, 0, 0),  // x = 9 ; y = 14
            rgb(0, 0, 0),  // x = 10 ; y = 14
            rgb(0, 0, 0),  // x = 11 ; y = 14
            rgb(0, 0, 0),  // x = 12 ; y = 14
            rgb(0, 0, 0),  // x = 13 ; y = 14
            rgb(0, 0, 0),  // x = 14 ; y = 14
            rgb(0, 0, 0)  // x = 15 ; y = 14
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 15
            rgb(0, 0, 0),  // x = 1 ; y = 15
            rgb(0, 0, 0),  // x = 2 ; y = 15
            rgb(0, 0, 0),  // x = 3 ; y = 15
            rgb(0, 0, 0),  // x = 4 ; y = 15
            rgb(0, 0, 0),  // x = 5 ; y = 15
            rgb(0, 0, 0),  // x = 6 ; y = 15
            rgb(0, 0, 0),  // x = 7 ; y = 15
            rgb(0, 0, 0),  // x = 8 ; y = 15
            rgb(0, 0, 0),  // x = 9 ; y = 15
            rgb(0, 0, 0),  // x = 10 ; y = 15
            rgb(0, 0, 0),  // x = 11 ; y = 15
            rgb(0, 0, 0),  // x = 12 ; y = 15
            rgb(0, 0, 0),  // x = 13 ; y = 15
            rgb(0, 0, 0),  // x = 14 ; y = 15
            rgb(0, 0, 0)  // x = 15 ; y = 15
          }
};



const Img_t lvl2 = {  &lvl2_mat[0][0],      // data matrix
                 16,      // width
                 16};     // height

const uint32_t lvl3_mat[16][16] = 
{
          {
            rgb(0, 0, 0),  // x = 0 ; y = 0
            rgb(0, 0, 0),  // x = 1 ; y = 0
            rgb(0, 0, 0),  // x = 2 ; y = 0
            rgb(0, 0, 0),  // x = 3 ; y = 0
            rgb(0, 0, 0),  // x = 4 ; y = 0
            rgb(0, 0, 0),  // x = 5 ; y = 0
            rgb(0, 0, 0),  // x = 6 ; y = 0
            rgb(0, 0, 0),  // x = 7 ; y = 0
            rgb(0, 0, 0),  // x = 8 ; y = 0
            rgb(0, 0, 0),  // x = 9 ; y = 0
            rgb(0, 0, 0),  // x = 10 ; y = 0
            rgb(0, 0, 0),  // x = 11 ; y = 0
            rgb(0, 0, 0),  // x = 12 ; y = 0
            rgb(0, 0, 0),  // x = 13 ; y = 0
            rgb(0, 0, 0),  // x = 14 ; y = 0
            rgb(0, 0, 0)  // x = 15 ; y = 0
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 1
            rgb(0, 0, 0),  // x = 1 ; y = 1
            rgb(0, 0, 0),  // x = 2 ; y = 1
            rgb(0, 0, 0),  // x = 3 ; y = 1
            rgb(0, 0, 0),  // x = 4 ; y = 1
            rgb(0, 0, 0),  // x = 5 ; y = 1
            rgb(0, 0, 0),  // x = 6 ; y = 1
            rgb(0, 0, 0),  // x = 7 ; y = 1
            rgb(0, 0, 0),  // x = 8 ; y = 1
            rgb(0, 0, 0),  // x = 9 ; y = 1
            rgb(0, 0, 0),  // x = 10 ; y = 1
            rgb(0, 0, 0),  // x = 11 ; y = 1
            rgb(0, 0, 0),  // x = 12 ; y = 1
            rgb(0, 0, 0),  // x = 13 ; y = 1
            rgb(0, 0, 0),  // x = 14 ; y = 1
            rgb(0, 0, 0)  // x = 15 ; y = 1
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 2
            rgb(0, 0, 0),  // x = 1 ; y = 2
            rgb(0, 0, 0),  // x = 2 ; y = 2
            rgb(0, 0, 0),  // x = 3 ; y = 2
            rgb(0, 0, 0),  // x = 4 ; y = 2
            rgb(0, 0, 0),  // x = 5 ; y = 2
            rgb(0, 0, 0),  // x = 6 ; y = 2
            rgb(0, 0, 0),  // x = 7 ; y = 2
            rgb(0, 0, 0),  // x = 8 ; y = 2
            rgb(0, 0, 0),  // x = 9 ; y = 2
            rgb(0, 0, 0),  // x = 10 ; y = 2
            rgb(0, 0, 0),  // x = 11 ; y = 2
            rgb(0, 0, 0),  // x = 12 ; y = 2
            rgb(0, 0, 0),  // x = 13 ; y = 2
            rgb(0, 0, 0),  // x = 14 ; y = 2
            rgb(0, 0, 0)  // x = 15 ; y = 2
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 3
            rgb(0, 0, 0),  // x = 1 ; y = 3
            rgb(0, 0, 0),  // x = 2 ; y = 3
            rgb(0, 0, 0),  // x = 3 ; y = 3
            rgb(51, 2, 252),  // x = 4 ; y = 3
            rgb(51, 2, 252),  // x = 5 ; y = 3
            rgb(51, 2, 252),  // x = 6 ; y = 3
            rgb(51, 2, 252),  // x = 7 ; y = 3
            rgb(51, 2, 252),  // x = 8 ; y = 3
            rgb(51, 2, 252),  // x = 9 ; y = 3
            rgb(51, 2, 252),  // x = 10 ; y = 3
            rgb(0, 0, 0),  // x = 11 ; y = 3
            rgb(0, 0, 0),  // x = 12 ; y = 3
            rgb(0, 0, 0),  // x = 13 ; y = 3
            rgb(0, 0, 0),  // x = 14 ; y = 3
            rgb(0, 0, 0)  // x = 15 ; y = 3
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 4
            rgb(0, 0, 0),  // x = 1 ; y = 4
            rgb(0, 0, 0),  // x = 2 ; y = 4
            rgb(0, 0, 0),  // x = 3 ; y = 4
            rgb(0, 0, 0),  // x = 4 ; y = 4
            rgb(0, 0, 0),  // x = 5 ; y = 4
            rgb(0, 0, 0),  // x = 6 ; y = 4
            rgb(0, 0, 0),  // x = 7 ; y = 4
            rgb(0, 0, 0),  // x = 8 ; y = 4
            rgb(0, 0, 0),  // x = 9 ; y = 4
            rgb(51, 2, 252),  // x = 10 ; y = 4
            rgb(0, 0, 0),  // x = 11 ; y = 4
            rgb(0, 0, 0),  // x = 12 ; y = 4
            rgb(0, 0, 0),  // x = 13 ; y = 4
            rgb(0, 0, 0),  // x = 14 ; y = 4
            rgb(0, 0, 0)  // x = 15 ; y = 4
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 5
            rgb(0, 0, 0),  // x = 1 ; y = 5
            rgb(0, 0, 0),  // x = 2 ; y = 5
            rgb(0, 0, 0),  // x = 3 ; y = 5
            rgb(0, 0, 0),  // x = 4 ; y = 5
            rgb(0, 0, 0),  // x = 5 ; y = 5
            rgb(0, 0, 0),  // x = 6 ; y = 5
            rgb(0, 0, 0),  // x = 7 ; y = 5
            rgb(0, 0, 0),  // x = 8 ; y = 5
            rgb(0, 0, 0),  // x = 9 ; y = 5
            rgb(51, 2, 252),  // x = 10 ; y = 5
            rgb(0, 0, 0),  // x = 11 ; y = 5
            rgb(0, 0, 0),  // x = 12 ; y = 5
            rgb(0, 0, 0),  // x = 13 ; y = 5
            rgb(0, 0, 0),  // x = 14 ; y = 5
            rgb(0, 0, 0)  // x = 15 ; y = 5
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 6
            rgb(0, 0, 0),  // x = 1 ; y = 6
            rgb(0, 0, 0),  // x = 2 ; y = 6
            rgb(0, 0, 0),  // x = 3 ; y = 6
            rgb(0, 0, 0),  // x = 4 ; y = 6
            rgb(0, 0, 0),  // x = 5 ; y = 6
            rgb(0, 0, 0),  // x = 6 ; y = 6
            rgb(0, 0, 0),  // x = 7 ; y = 6
            rgb(0, 0, 0),  // x = 8 ; y = 6
            rgb(51, 2, 252),  // x = 9 ; y = 6
            rgb(0, 0, 0),  // x = 10 ; y = 6
            rgb(0, 0, 0),  // x = 11 ; y = 6
            rgb(0, 0, 0),  // x = 12 ; y = 6
            rgb(0, 0, 0),  // x = 13 ; y = 6
            rgb(0, 0, 0),  // x = 14 ; y = 6
            rgb(0, 0, 0)  // x = 15 ; y = 6
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 7
            rgb(0, 0, 0),  // x = 1 ; y = 7
            rgb(0, 0, 0),  // x = 2 ; y = 7
            rgb(0, 0, 0),  // x = 3 ; y = 7
            rgb(0, 0, 0),  // x = 4 ; y = 7
            rgb(0, 0, 0),  // x = 5 ; y = 7
            rgb(0, 0, 0),  // x = 6 ; y = 7
            rgb(0, 0, 0),  // x = 7 ; y = 7
            rgb(51, 2, 252),  // x = 8 ; y = 7
            rgb(0, 0, 0),  // x = 9 ; y = 7
            rgb(0, 0, 0),  // x = 10 ; y = 7
            rgb(0, 0, 0),  // x = 11 ; y = 7
            rgb(0, 0, 0),  // x = 12 ; y = 7
            rgb(0, 0, 0),  // x = 13 ; y = 7
            rgb(0, 0, 0),  // x = 14 ; y = 7
            rgb(0, 0, 0)  // x = 15 ; y = 7
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 8
            rgb(0, 0, 0),  // x = 1 ; y = 8
            rgb(0, 0, 0),  // x = 2 ; y = 8
            rgb(0, 0, 0),  // x = 3 ; y = 8
            rgb(0, 0, 0),  // x = 4 ; y = 8
            rgb(0, 0, 0),  // x = 5 ; y = 8
            rgb(0, 0, 0),  // x = 6 ; y = 8
            rgb(51, 2, 252),  // x = 7 ; y = 8
            rgb(51, 2, 252),  // x = 8 ; y = 8
            rgb(51, 2, 252),  // x = 9 ; y = 8
            rgb(0, 0, 0),  // x = 10 ; y = 8
            rgb(0, 0, 0),  // x = 11 ; y = 8
            rgb(0, 0, 0),  // x = 12 ; y = 8
            rgb(0, 0, 0),  // x = 13 ; y = 8
            rgb(0, 0, 0),  // x = 14 ; y = 8
            rgb(0, 0, 0)  // x = 15 ; y = 8
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 9
            rgb(0, 0, 0),  // x = 1 ; y = 9
            rgb(0, 0, 0),  // x = 2 ; y = 9
            rgb(0, 0, 0),  // x = 3 ; y = 9
            rgb(0, 0, 0),  // x = 4 ; y = 9
            rgb(0, 0, 0),  // x = 5 ; y = 9
            rgb(0, 0, 0),  // x = 6 ; y = 9
            rgb(0, 0, 0),  // x = 7 ; y = 9
            rgb(0, 0, 0),  // x = 8 ; y = 9
            rgb(0, 0, 0),  // x = 9 ; y = 9
            rgb(51, 2, 252),  // x = 10 ; y = 9
            rgb(0, 0, 0),  // x = 11 ; y = 9
            rgb(0, 0, 0),  // x = 12 ; y = 9
            rgb(0, 0, 0),  // x = 13 ; y = 9
            rgb(0, 0, 0),  // x = 14 ; y = 9
            rgb(0, 0, 0)  // x = 15 ; y = 9
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 10
            rgb(0, 0, 0),  // x = 1 ; y = 10
            rgb(0, 0, 0),  // x = 2 ; y = 10
            rgb(0, 0, 0),  // x = 3 ; y = 10
            rgb(0, 0, 0),  // x = 4 ; y = 10
            rgb(0, 0, 0),  // x = 5 ; y = 10
            rgb(0, 0, 0),  // x = 6 ; y = 10
            rgb(0, 0, 0),  // x = 7 ; y = 10
            rgb(0, 0, 0),  // x = 8 ; y = 10
            rgb(0, 0, 0),  // x = 9 ; y = 10
            rgb(51, 2, 252),  // x = 10 ; y = 10
            rgb(0, 0, 0),  // x = 11 ; y = 10
            rgb(0, 0, 0),  // x = 12 ; y = 10
            rgb(0, 0, 0),  // x = 13 ; y = 10
            rgb(0, 0, 0),  // x = 14 ; y = 10
            rgb(0, 0, 0)  // x = 15 ; y = 10
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 11
            rgb(0, 0, 0),  // x = 1 ; y = 11
            rgb(0, 0, 0),  // x = 2 ; y = 11
            rgb(0, 0, 0),  // x = 3 ; y = 11
            rgb(0, 0, 0),  // x = 4 ; y = 11
            rgb(0, 0, 0),  // x = 5 ; y = 11
            rgb(0, 0, 0),  // x = 6 ; y = 11
            rgb(0, 0, 0),  // x = 7 ; y = 11
            rgb(0, 0, 0),  // x = 8 ; y = 11
            rgb(0, 0, 0),  // x = 9 ; y = 11
            rgb(51, 2, 252),  // x = 10 ; y = 11
            rgb(0, 0, 0),  // x = 11 ; y = 11
            rgb(0, 0, 0),  // x = 12 ; y = 11
            rgb(0, 0, 0),  // x = 13 ; y = 11
            rgb(0, 0, 0),  // x = 14 ; y = 11
            rgb(0, 0, 0)  // x = 15 ; y = 11
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 12
            rgb(0, 0, 0),  // x = 1 ; y = 12
            rgb(0, 0, 0),  // x = 2 ; y = 12
            rgb(0, 0, 0),  // x = 3 ; y = 12
            rgb(0, 0, 0),  // x = 4 ; y = 12
            rgb(0, 0, 0),  // x = 5 ; y = 12
            rgb(0, 0, 0),  // x = 6 ; y = 12
            rgb(0, 0, 0),  // x = 7 ; y = 12
            rgb(0, 0, 0),  // x = 8 ; y = 12
            rgb(0, 0, 0),  // x = 9 ; y = 12
            rgb(51, 2, 252),  // x = 10 ; y = 12
            rgb(0, 0, 0),  // x = 11 ; y = 12
            rgb(0, 0, 0),  // x = 12 ; y = 12
            rgb(0, 0, 0),  // x = 13 ; y = 12
            rgb(0, 0, 0),  // x = 14 ; y = 12
            rgb(0, 0, 0)  // x = 15 ; y = 12
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 13
            rgb(0, 0, 0),  // x = 1 ; y = 13
            rgb(0, 0, 0),  // x = 2 ; y = 13
            rgb(0, 0, 0),  // x = 3 ; y = 13
            rgb(51, 2, 252),  // x = 4 ; y = 13
            rgb(51, 2, 252),  // x = 5 ; y = 13
            rgb(51, 2, 252),  // x = 6 ; y = 13
            rgb(51, 2, 252),  // x = 7 ; y = 13
            rgb(51, 2, 252),  // x = 8 ; y = 13
            rgb(51, 2, 252),  // x = 9 ; y = 13
            rgb(0, 0, 0),  // x = 10 ; y = 13
            rgb(0, 0, 0),  // x = 11 ; y = 13
            rgb(0, 0, 0),  // x = 12 ; y = 13
            rgb(0, 0, 0),  // x = 13 ; y = 13
            rgb(0, 0, 0),  // x = 14 ; y = 13
            rgb(0, 0, 0)  // x = 15 ; y = 13
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 14
            rgb(0, 0, 0),  // x = 1 ; y = 14
            rgb(0, 0, 0),  // x = 2 ; y = 14
            rgb(0, 0, 0),  // x = 3 ; y = 14
            rgb(0, 0, 0),  // x = 4 ; y = 14
            rgb(0, 0, 0),  // x = 5 ; y = 14
            rgb(0, 0, 0),  // x = 6 ; y = 14
            rgb(0, 0, 0),  // x = 7 ; y = 14
            rgb(0, 0, 0),  // x = 8 ; y = 14
            rgb(0, 0, 0),  // x = 9 ; y = 14
            rgb(0, 0, 0),  // x = 10 ; y = 14
            rgb(0, 0, 0),  // x = 11 ; y = 14
            rgb(0, 0, 0),  // x = 12 ; y = 14
            rgb(0, 0, 0),  // x = 13 ; y = 14
            rgb(0, 0, 0),  // x = 14 ; y = 14
            rgb(0, 0, 0)  // x = 15 ; y = 14
          },
          {
            rgb(0, 0, 0),  // x = 0 ; y = 15
            rgb(0, 0, 0),  // x = 1 ; y = 15
            rgb(0, 0, 0),  // x = 2 ; y = 15
            rgb(0, 0, 0),  // x = 3 ; y = 15
            rgb(0, 0, 0),  // x = 4 ; y = 15
            rgb(0, 0, 0),  // x = 5 ; y = 15
            rgb(0, 0, 0),  // x = 6 ; y = 15
            rgb(0, 0, 0),  // x = 7 ; y = 15
            rgb(0, 0, 0),  // x = 8 ; y = 15
            rgb(0, 0, 0),  // x = 9 ; y = 15
            rgb(0, 0, 0),  // x = 10 ; y = 15
            rgb(0, 0, 0),  // x = 11 ; y = 15
            rgb(0, 0, 0),  // x = 12 ; y = 15
            rgb(0, 0, 0),  // x = 13 ; y = 15
            rgb(0, 0, 0),  // x = 14 ; y = 15
            rgb(0, 0, 0)  // x = 15 ; y = 15
          }
};



const Img_t lvl3 = {  &lvl3_mat[0][0],      // data matrix
                 16,      // width
                 16};     // height


#endif
